from base64 import b64decode as license64

from BroTools.core.broqt.vendor.Qt import QtCore, QtGui, QtWidgets

class FlowLayout(QtWidgets.QLayout):

    def __init__(A, parent=None):
        B = parent
        super(FlowLayout, A).__init__(B)
        if (B is not None):
            A.setContentsMargins(QtCore.QMargins(0, 0, 0, 0))
        A._item_list = []

    def __del__(A):
        B = A.takeAt(0)
        while B:
            B = A.takeAt(0)

    def addItem(A, item):
        A._item_list.append(item)

    def count(A):
        return len(A._item_list)

    def itemAt(A, index):
        B = index
        if (0 <= B < len(A._item_list)):
            return A._item_list[B]

    def takeAt(A, index):
        B = index
        if (0 <= B < len(A._item_list)):
            return A._item_list.pop(B)

    def expandingDirections(A):
        return QtCore.Qt.Orientation(0)

    def hasHeightForWidth(A):
        return True

    def heightForWidth(A, width):
        B = A._do_layout(QtCore.QRect(0, 0, width, 0), True)
        return B

    def setGeometry(A, rect):
        super(FlowLayout, A).setGeometry(rect)
        A._do_layout(rect, False)

    def sizeHint(A):
        return A.minimumSize()

    def minimumSize(B):
        A = QtCore.QSize()
        for C in B._item_list:
            A = A.expandedTo(C.minimumSize())
        A += QtCore.QSize((2 * B.contentsMargins().top()), (2 * B.contentsMargins().top()))
        return A

    def _do_layout(H, rect, test_only):
        C = rect
        D = C.x()
        E = C.y()
        A = 0
        I = H.spacing()
        for B in H._item_list:
            J = B.widget().style()
            K = J.layoutSpacing(QtWidgets.QSizePolicy.PushButton, QtWidgets.QSizePolicy.PushButton, QtCore.Qt.Horizontal)
            L = J.layoutSpacing(QtWidgets.QSizePolicy.PushButton, QtWidgets.QSizePolicy.PushButton, QtCore.Qt.Vertical)
            F = (I + K)
            M = (I + L)
            G = ((D + B.sizeHint().width()) + F)
            if (((G - F) > C.right()) and (A > 0)):
                D = C.x()
                E = ((E + A) + M)
                G = ((D + B.sizeHint().width()) + F)
                A = 0
            if (not test_only):
                B.setGeometry(QtCore.QRect(QtCore.QPoint(D, E), B.sizeHint()))
            D = G
            A = max(A, B.sizeHint().height())
        return ((E + A) - C.y())
