from base64 import b64decode as license64

'\n=== module meta start ===\nDCC: None\n=== module meta end ===\n'
from BroTools.configuration import PY3
if PY3:
    import configparser as ConfigParser
else:
    import ConfigParser
import json, os
from BroTools.core.errors import catch_errors
from .debug import default_logger as log

def read_file(filepath):
    with open(filepath, 'r') as A:
        return A.read()

def write_file(filepath, data):
    with open(filepath, 'w+') as A:
        A.write(data)

@catch_errors
def read_json(fileName):
    A = fileName
    log.debug('<', 'Reading JSON:', A)
    B = json.loads(read_file(A))
    return B

@catch_errors
def write_json(fileName, data):
    A = fileName
    log.debug('<', 'Writing JSON:', A)
    write_file(A, json.dumps(data, indent=True, sort_keys=True))

@catch_errors
def read_config(fileName, silent=False):
    "\n    reads config file. Use this to access data:\n    import ConfigParser\n    config = BroTools.core.dataio.read_config(r'E:\\PersonalWork\\RiggingTools\\BroTools\\core\test.cfg')\n    print config.get ('section', 'var')\n    Args:\n        fileName:\n\n    Returns: Config object\n\n    "
    A = os.path.abspath(fileName)
    if os.path.exists(A):
        log.debug('<', 'Reading config file:', A)
        B = ConfigParser.RawConfigParser()
        log.debug('Config parser initialized, set optionxform')
        B.optionxform = str
        log.debug('Read from file', A)
        B.read(A)
        log.debug('Read success. Data in config:', B)
        return B
    else:
        log('!', 'Tried Reading config file:', A, 'but there is no such file.')
        return 'No file found'

@catch_errors
def new_config():
    A = ConfigParser.RawConfigParser()
    A.optionxform = str
    return A

@catch_errors
def write_config(config):
    config.write()
DEFAULT_FBX_SETTINGS = {'FBXExportFileVersion': 'FBX201600', 'FBXExportAnimationOnly': 'false', 'FBXExportApplyConstantKeyReducer': 'false', 'FBXExportAxisConversionMethod': 'convertAnimation'}
