from base64 import b64decode as license64

INTEGRATION_TEST = True
TEST_SCENE_PATH = 'brodynamics_test_chain.mb'
import os
TEST_SCENE_PATH = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'resources', TEST_SCENE_PATH)
import unittest
from maya import cmds
from BroTools.tests.base import TestCase, TestResult

class Test(TestCase):

    @classmethod
    def run_simulation_test(B, simulation_module_name):
        B.open_scene(TEST_SCENE_PATH)
        try:
            from BroTools.BroDynamics import BroDynamicsUI as A
            A.show_ui()
            A.BroDynamicsWindow.tabDropdown.setCurrentIndex(A.BroDynamicsWindow.activeModuleNames.index(simulation_module_name))
            cmds.select(['|BroRig|World|Motion|joint_01_rigPartGrp|joint_01_fk_moduleGroup|joint_01_fk_moduleControlsGroup|joint_01_FK_00_zgrp|joint_01_FK_00_ugrp|joint_01_FK_00_CTRL', '|BroRig|World|Motion|joint_01_rigPartGrp|joint_01_fk_moduleGroup|joint_01_fk_moduleControlsGroup|joint_01_FK_00_zgrp|joint_01_FK_00_ugrp|joint_01_FK_00_CTRL|joint_01_FK_01_zgrp|joint_01_FK_01_ugrp|joint_01_FK_01_CTRL', '|BroRig|World|Motion|joint_01_rigPartGrp|joint_01_fk_moduleGroup|joint_01_fk_moduleControlsGroup|joint_01_FK_00_zgrp|joint_01_FK_00_ugrp|joint_01_FK_00_CTRL|joint_01_FK_01_zgrp|joint_01_FK_01_ugrp|joint_01_FK_01_CTRL|joint_01_FK_02_zgrp|joint_01_FK_02_ugrp|joint_01_FK_02_CTRL', '|BroRig|World|Motion|joint_01_rigPartGrp|joint_01_fk_moduleGroup|joint_01_fk_moduleControlsGroup|joint_01_FK_00_zgrp|joint_01_FK_00_ugrp|joint_01_FK_00_CTRL|joint_01_FK_01_zgrp|joint_01_FK_01_ugrp|joint_01_FK_01_CTRL|joint_01_FK_02_zgrp|joint_01_FK_02_ugrp|joint_01_FK_02_CTRL|joint_01_FK_03_zgrp|joint_01_FK_03_ugrp|joint_01_FK_03_CTRL', '|BroRig|World|Motion|joint_01_rigPartGrp|joint_01_fk_moduleGroup|joint_01_fk_moduleControlsGroup|joint_01_FK_00_zgrp|joint_01_FK_00_ugrp|joint_01_FK_00_CTRL|joint_01_FK_01_zgrp|joint_01_FK_01_ugrp|joint_01_FK_01_CTRL|joint_01_FK_02_zgrp|joint_01_FK_02_ugrp|joint_01_FK_02_CTRL|joint_01_FK_03_zgrp|joint_01_FK_03_ugrp|joint_01_FK_03_CTRL|joint_01_FK_04_zgrp|joint_01_FK_04_ugrp|joint_01_FK_04_CTRL'], r=True)
            A.BroDynamicsWindow.simButton.click()
            return True
        except:
            return False

    def test_point(A):
        A.assertTrue(A.run_simulation_test('point'))

    def test_point_chain(A):
        A.assertTrue(A.run_simulation_test('point_chain'))

    def test_chain_simple(A):
        A.assertTrue(A.run_simulation_test('chain_simple'))

    def test_chain(A):
        A.assertTrue(A.run_simulation_test('chain'))

def run(prefix=None):
    A = prefix
    B = unittest.TestLoader()
    if A:
        B.testMethodPrefix = A
    C = B.loadTestsFromTestCase(Test)
    D = unittest.TextTestRunner(verbosity=2, resultclass=TestResult)
    D.run(C)
